/*!
 * Panda Lockers - v1.0.1, 2015-03-05 
 * for jQuery: http://onepress-media.com/plugin/social-locker-for-jquery/get 
 * for Wordpress: http://onepress-media.com/plugin/social-locker-for-wordpress/get 
 * 
 * Copyright 2014, OnePress, http://www.20script.ir
 * Help Desk: http://support.onepress-media.com/ 
*/

/*!
 * Localization
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
(function ($) {

    /**
    * Text resources.
    */
   
    if ( !$.pandalocker ) $.pandalocker = {};
    
    if (!$.pandalocker.lang) $.pandalocker.lang = {};
    if (!$.pandalocker.lang.defaults ) $.pandalocker.lang.defaults = {};  
    
    $.pandalocker.lang.defaults = {
        
        // - translatable text
        
        // the Screen "Please Confirm Your Email"
        
        confirm_screen_title:           'Please Confirm Your Email',
        confirm_screen_instructiont:    'We have sent a confirmation email to {email}. Please click on the confirmation link in the email to reveal the content.',
        confirm_screen_note1:           'The content will be unlocked automatically within 10 seconds after confirmation.',    
        confirm_screen_note2:           'Note delivering the email may take several minutes.',

        confirm_screen_cancel:          '(cancel)',
        confirm_screen_open:            'Open my inbox on {service}',
        
        // the Screen "One Step To Complete"
        
        onestep_screen_title:           'One Step To Complete',
        onestep_screen_instructiont:    'Please enter your email below to continue.',
        onestep_screen_button:          'OK, complete',
        
        // the sign-in buttons
        
        signin_long:                    'Sign in via {name}',
        signin_short:                   'via {name}',
        signin_facebook_name:           'Facebook',
        signin_twitter_name:            'Twitter',
        signin_google_name:             'Google',
        signin_linkedin_name:           'LinkedIn',
        
        // miscellaneous
        
        misc_data_processin:            'Processing data, please wait...',
        misc_or_enter_email:            'or enter your email manually to sign in', 
        
        misc_enter_your_name:           'enter your name',
        misc_enter_your_email:          'enter your email address',
        
        misc_your_agree_with:           'By clicking on the button(s), you agree with {links}',
        misc_terms_of_use:              'Terms of Use',
        misc_privacy_policy:            'Privacy Policy',
        
        misc_or_wait:                   'or wait {timer}s',
        misc_close:                     'Close',
        misc_or:                        'OR',
        
        // errors & notices
            
        errors_empty_email:             "Please enter your email address.",
        errors_inorrect_email:          "It seems you entered an incorrect email address. Please check it.",
        errors_empty_name:              "Please enter your name.",     
        
        errors_subscription_canceled:   "You have canceled your subscription.", 
        errors_not_signed_in:           "Sorry, but you have not signed in. Please try again.",
        res_errors_not_granted:         "Sorry, but you have not granted all the required permissions ({permissions}). Please try again.",
        
        // - default text & internal errors
        
        // common resources
        
        error:                              'error',
        noSpam:                             'Your email address is 100% safe from spam!',
        
        errors: {
            ajaxError:                      'Unexpected ajax error. Please check the console log to get more details.',
            unableToLoadSDK:                'Unable to load SDK script for {0}. Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock etc.) can cause this issue. Turn them off and try again.',     
            unableToCreateControl:          'Unable to create ({0}). Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock etc.) can cause this issue. Turn them off and try again.',     
            invlidFacebookAppId:            'Invalid App ID or given URL is not allowed by the Application configuration: One or more of the given URLs is not allowed by the App\'s settings.  It must match the Website URL or Canvas URL, or the domain must be a subdomain of one of the App\'s domains.',
            emptyFBAppIdError:              'Please set your Facebook App ID.',
            emptyTwitterFollowUrlError:     'Please set an URL of your Twitter profile.', 
            unsupportedTwitterFollowLayout: 'The Twitter Follow Button doesn\'t support the vertical layout. Please remove the Follow button or select another theme.'
        },
        
        // locker type-dependent resources
        
        scopes: {
            
            // when the Connect Buttons is the primary group
            
            signinLocker: {
                defaultHeader:      "Sing In To Unlock This Content",
                defaultMessage:     "Please sign in. Just click one of the buttons below to get instant access.",
                
                btnSubscribe:       "sign in to unlock",
                
                viaSignInLong:      "{long}",
                viaSignInShort:     "{short}"
            },
            
            // when the Subscription is the primary group
            
            emailLocker: {
                defaultHeader:      "This Content Is Only For Subscribers",
                defaultMessage:     "Please subscribe to unlock this content. Just enter your email.",
                
                btnSubscribe:       "subscribe to unlock",
                
                viaSignInLong:      "{short}",
                viaSignInShort:     "{name}"
            },
            
            // when the Social Buttons is the primary group
            
            socialLocker: {
                defaultHeader:      "This content is locked",
                defaultMessage:     "Please support us, use one of the buttons below to unlock the content."
            }
        },
        
        // text resources for the group 'connect-buttons'
        
        connectButtons: {

            defaultMessage: "subscribe via your social profile by one click",

            facebook: {},
            
            google: {
                clientIdMissed: "The Google Client ID is not set. You need to generate a client ID before using the button.",
                unexpectedError: 'Unable to sign in. Unexpected error occurred: {0}'
            },
            
            twitter: {
                proxyEmpty: "The proxy URL is empty. The proxy is used to call Twitter API."
            },
            
            linkedin: {
                apiKeyMissed: "The LinkedIn API Key is not set. You need to get a API Key before using the button.",
                apiKeyInvalid: "The LinkedIn API Key is invalid. Please check its correctness."
            },
            
            defaultSeparator: "or",

            errorYouTubeChannelMissed: "Please set an ID of your Youtube channel to subscribe.",
            errorLinkedInCompanyNotFound: "The LinkedIn company '{0}' not found.",
            errorLinkedInCompanyMissed: "Please specify the LinkedIn company ID or name to follow.",
            errorTwitterUserMissed: "Please specify the Twitter user name to follow.",
            errorTwitterMessageMissed: "Please specify the message to tweet.",            
        },
        
        // text resources for the group 'subscription'
        
        subscription: {

            defaultText: 'Cannot sign in via social networks? Enter your email manually.',
            defaultButtonText: 'done, sign in to unlock',
        },
        
        // text resources for the group 'social-buttons'
        
        socialButtons: {
            
            // default labels for the buttons covers
            facebookLike:       'like us',
            facebookShare:      'share',
            twitterTweet:       'tweet',  
            twitterFollow:      'follow us',  
            googlePlus:         '+1 us', 
            googleShare:        'share',
            linkedinShare:      'share'
        }
    };  
    if ( !window.__pandalockers ) window.__pandalockers = { lang: {} };
    $.pandalocker.lang = $.extend( $.pandalocker.lang.defaults, window.__pandalockers.lang );
 
})(jQuery);;
/*!
 * Themes Presets
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
(function ($) {

    if (!$.pandalocker.themes) $.pandalocker.themes = {};
    
    // Theme: Great Attractor
    
    $.pandalocker.themes['great-attractor'] = {};
    
    // Theme: Friendly Giant
    
    $.pandalocker.themes['friendly-giant'] = {
        
        theme: {
            fonts: [{
                name: 'Open Sans',
                styles: ['400', '700']
            }]
        }
    };
    
    // Theme: Dark Force
    
    $.pandalocker.themes['dark-force'] = {
        
        theme: {
            fonts: [{
                name: 'Montserrat',
                styles: ['400', '700']
            }]
        }
    };
    
    // Theme: Starter

    $.pandalocker.themes['starter'] = {
        
        socialButtons: {
            layout: 'horizontal',
            counter: true,
            flip: false
        }
    };
    
    // Theme: Secrets
    
    $.pandalocker.themes['secrets'] = {
        
        socialButtons: {
            layout: 'horizontal',
            counter: true,
            flip: true
        }
    };
    
    // Theme: Dandyish
    
    $.pandalocker.themes['dandyish'] = {

        socialButtons: {
            unsupported: ['twitter-follow'],
            layout: 'vertical',
            counter: true,
            flip: false
        }
    };
    
    // Theme: Glass
    
    $.pandalocker.themes['glass'] = {

        socialButtons: {
            layout: 'horizontal',
            counter: true,
            flip: false
        }
    };

    // Theme: Flat
    
    $.pandalocker.themes['flat'] = {

        socialButtons: {
            layout: 'horizontal',
            counter: true,
            flip: true
        }
    };

})(jQuery);;
/*!
 * Variables
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge includes
*/
!function(a){"use strict";a.pandalocker||(a.pandalocker={}),a.pandalocker.data||(a.pandalocker.data={}),a.pandalocker.entity||(a.pandalocker.entity={}),a.pandalocker.groups||(a.pandalocker.groups={}),a.pandalocker.controls||(a.pandalocker.controls={}),a.pandalocker.tools||(a.pandalocker.tools={}),a.pandalocker.storages||(a.pandalocker.storages={}),a.pandalocker.services||(a.pandalocker.services={}),a.pandalocker.extras||(a.pandalocker.extras={}),a.pandalocker.controls["social-buttons"]||(a.pandalocker.controls["social-buttons"]={}),a.pandalocker.controls["connect-buttons"]||(a.pandalocker.controls["connect-buttons"]={}),a.pandalocker.controls.subscription||(a.pandalocker.controls.subscription={})}(jQuery);;
/*!
 * Filers & Hooks API
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
!function(a){"use strict";a.pandalocker||(a.pandalocker={}),a.pandalocker.filters=a.pandalocker.filters||{_items:{},_priorities:{},run:function(a,b){var c=b&&b.length>0?b[0]:null;if(!this._items[a])return c;for(var d in this._priorities[a])if(this._priorities[a].hasOwnProperty(d))for(var e=this._priorities[a][d],f=0;f<this._items[a][e].length;f++){var g=this._items[a][e][f];c=g.apply(g,b)}return c},add:function(b,c,d){d||(d=10),this._items[b]||(this._items[b]={}),this._items[b][d]||(this._items[b][d]=[]),this._items[b][d].push(c),this._priorities[b]||(this._priorities[b]=[]),-1===a.inArray(d,this._priorities[b])&&this._priorities[b].push(d),this._priorities[b].sort(function(a,b){return a-b})}},a.pandalocker.hooks=a.pandalocker.hooks||{run:function(b,c){a.pandalocker.filters.run(b,c)},add:function(b,c,d){a.pandalocker.filters.add(b,c,d)}}}(jQuery);;
/*!
 * Helper Tools
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
!function(a){"use strict";a.pandalocker.tools||(a.pandalocker.tools={}),a.pandalocker.tools.extend=function(b){function c(){}return c.prototype=a.extend(!0,{},b),new c},a.pandalocker.error=function(a){this.onpsl=!0,this.message=a},a.pandalocker.tools.normilizeHtmlOption=function(b){return b?"function"==typeof b?b(this):"string"==typeof b?a("<div>"+b+"</div>"):"object"==typeof b?b.clone():b:b},a.pandalocker.tools.diffArrays=function(b,c){return a.grep(b,function(b){return-1==a.inArray(b,c)})},a.pandalocker.tools.unionArrays=function(b,c){return a.grep(b,function(b){return-1!==a.inArray(b,c)})},a.pandalocker.tools.cookie=a.pandalocker.tools.cookie||function(b,c,d){if(arguments.length>1&&(!/Object/.test(Object.prototype.toString.call(c))||null===c||void 0===c)){if(d=a.extend({},d),(null===c||void 0===c)&&(d.expires=-1),"number"==typeof d.expires){var e=d.expires,f=d.expires=new Date;f.setDate(f.getDate()+e)}return c=String(c),document.cookie=[encodeURIComponent(b),"=",d.raw?c:encodeURIComponent(c),d.expires?"; expires="+d.expires.toUTCString():"",d.path?"; path="+d.path:"",d.domain?"; domain="+d.domain:"",d.secure?"; secure":""].join("")}d=c||{};for(var g,h=d.raw?function(a){return a}:decodeURIComponent,i=document.cookie.split("; "),j=0;g=i[j]&&i[j].split("=");j++)if(h(g[0])===b)return h(g[1]||"");return null},a.pandalocker.tools.hash=a.pandalocker.tools.hash||function(a){var b=0;if(!a||0===a.length)return b;for(var c=0;c<a.length;c++){var d=a.charCodeAt(c);b=(b<<5)-b+d,b&=b}return b=b.toString(16),b=b.replace("-","0")},a.pandalocker.tools.has3d=a.pandalocker.tools.has3d||function(){var a,b=document.createElement("p"),c={WebkitTransform:"-webkit-transform",OTransform:"-o-transform",MSTransform:"-ms-transform",MozTransform:"-moz-transform",Transform:"transform"};document.body.insertBefore(b,null);for(var d in c)void 0!==b.style[d]&&(b.style[d]="translate3d(1px,1px,1px)",a=window.getComputedStyle(b).getPropertyValue(c[d]));return document.body.removeChild(b),void 0!==a&&a.length>0&&"none"!==a},a.pandalocker.tools.canBlur=a.pandalocker.tools.canBlur||function(){var a=document.createElement("div");a.style.cssText=_browserPrefixes.join("filter:blur(2px); ");var b=!!a.style.length&&(void 0===document.documentMode||document.documentMode>9);if(b)return!0;try{b=void 0!==typeof SVGFEColorMatrixElement&&2==SVGFEColorMatrixElement.SVG_FECOLORMATRIX_TYPE_SATURATE}catch(c){}return b},a.pandalocker.isTouch=a.pandalocker.isTouch||function(){return!!("ontouchstart"in window)||!!("onmsgesturechange"in window)},a.pandalocker.widget=function(b,c){var d={createWidget:function(d,e){var f=a.extend(!0,{},c);f.element=a(d),f.options=a.extend(!0,f.options,e),f._init&&f._init(),f._create&&f._create(),a.data(d,"plugin_"+b,f)},callMethod:function(a,b){return a[b]&&a[b]()}};a.fn[b]=function(){var c=arguments,e=arguments.length,f=this;return this.each(function(){var g=a.data(this,"plugin_"+b);!g&&1>=e?d.createWidget(this,e?c[0]:!1):1==e&&(f=d.callMethod(g,c[0]))}),f}},a.pandalocker.detectBrowser=a.pandalocker.detectBrowser||function(){function b(){var a=-1;if("Microsoft Internet Explorer"==navigator.appName){var b=navigator.userAgent,c=new RegExp("MSIE ([0-9]{1,}[.0-9]{0,})");null!=c.exec(b)&&(a=parseFloat(RegExp.$1))}else if("Netscape"==navigator.appName){var b=navigator.userAgent,c=new RegExp("Trident/.*rv:([0-9]{1,}[.0-9]{0,})");null!=c.exec(b)&&(a=parseFloat(RegExp.$1))}return a}var c=jQuery.uaMatch||function(a){a=a.toLowerCase();var b=/(chrome)[ \/]([\w.]+)/.exec(a)||/(webkit)[ \/]([\w.]+)/.exec(a)||/(opera)(?:.*version|)[ \/]([\w.]+)/.exec(a)||/(msie) ([\w.]+)/.exec(a)||a.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(a)||[];return{browser:b[1]||"",version:b[2]||"0"}},d=c(navigator.userAgent);a.pandalocker.browser={},d.browser&&(a.pandalocker.browser[d.browser]=!0,a.pandalocker.browser.version=d.version);var e=b();e>0&&(a.pandalocker.browser.msie=!0,a.pandalocker.browser.version=e),a.pandalocker.browser.chrome?a.pandalocker.browser.webkit=!0:a.pandalocker.browser.webkit&&(a.pandalocker.browser.safari=!0)},a.pandalocker.detectBrowser(),a.pandalocker.tools.camelCase=function(a){return a.toLowerCase().replace(/-(.)/g,function(a,b){return b.toUpperCase()})},a.pandalocker.tools.capitaliseFirstLetter=function(a){return a.charAt(0).toUpperCase()+a.slice(1)},a.pandalocker.tools.isMobile=function(){return/webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent)?!0:/Android/i.test(navigator.userAgent)&&/Mobile/i.test(navigator.userAgent)?!0:!1},a.pandalocker.tools.isTabletOrMobile=function(){return/webOS|iPhone|iPad|Android|iPod|BlackBerry/i.test(navigator.userAgent)?!0:!1},a.pandalocker.tools.updateQueryStringParameter=function(a,b,c){var d=new RegExp("([?&])"+b+"=.*?(&|$)","i"),e=-1!==a.indexOf("?")?"&":"?";return a.match(d)?a.replace(d,"$1"+b+"="+c+"$2"):a+e+b+"="+c},a.pandalocker.tools.isValidEmailAddress=function(a){var b=new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);return b.test(a)}}(jQuery);;
/*!
 * SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
!function(a){"use strict";a.pandalocker.sdk=a.pandalocker.sdk||{_ready:{},_connected:{},getSDK:function(b){return b=a.pandalocker.tools.camelCase(b),a.pandalocker.sdk[b]?a.pandalocker.sdk[b]:null},isConnected:function(b){if(a("#"+b.scriptId).length>0)return!0;var c=!1;return a("script").each(function(){var d=a(this).attr("src");return d?(c=-1!==d.indexOf(b.url),c?(a(this).attr("id",b.scriptId),!1):void 0):!0}),c},getLoadingScript:function(b){var c=a("#"+b.scriptId),d=a("script[src='*"+b.url+"']");return c.length>0?c:d},isLoaded:function(a){return this.isConnected(a)&&a.isLoaded&&a.isLoaded()},connect:function(b,c,d){var e=this,f=this.getSDK(b);if(!f)return void(console&&console.log("Invalide SDK name: "+b));if(f.options=c,d&&(this._ready[b]?d(f):a(document).bind(b+"-init",function(){d(f)})),!this._connected[b]){f.createEvents||(f.createEvents=function(){var b=f.isLoaded(),c=function(){a(document).trigger(f.name+"-init")};return b?void c():void a(document).bind(f.name+"-script-loaded",function(){c()})}),f.prepare&&f.prepare();var g=f.isLoaded(),h=this.isConnected(f);if(a(document).bind(b+"-init",function(){e._ready[b]=!0}),f.createEvents(),!h){var i=function(){var a=document.createElement("script");a.type="text/javascript",a.id=f.scriptId,a.src=f.url;var b=f.getScriptBody?f.getScriptBody():null;b&&(a.innerHtml=b);var c=document.getElementsByTagName("body")[0];c.appendChild(a)};i()}if(!g){var j=this.getLoadingScript(f)[0];j&&(j.onreadystatechange=j.onload=function(){var b=j.readyState;(!b||/loaded|complete/.test(b))&&(a(document).trigger(f.name+"-script-loaded"),a(document).unbind(f.name+"-script-loaded"))})}this._connected[b]=!0}}}}(jQuery);;
/*!
 * Functions to work with URLs
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
/*!
 * URL.js
 * Copyright 2011 Eric Ferraiuolo
 * https://github.com/ericf/urljs
 */
var URL=function(){var a=this;return a&&a.hasOwnProperty&&a instanceof URL||(a=new URL),a._init.apply(a,arguments)};!function(){var a,b,c,d="absolute",e="relative",f=":",g="//",h="@",i=".",j="/",k="..",l="../",m="?",n="=",o="&",p="#",q="",r="type",s="scheme",t="userInfo",u="host",v="port",w="path",x="query",y="fragment",z=/^(?:(https?:\/\/|\/\/)|(\/|\?|#)|[^;:@=\.\s])/i,A=/^(?:(https?):\/\/|\/\/)(?:([^:@\s]+:?[^:@\s]+?)@)?((?:[^;:@=\/\?\.\s]+\.)+[A-Za-z0-9\-]{2,})(?::(\d+))?(?=\/|\?|#|$)([^\?#]+)?(?:\?([^#]+))?(?:#(.+))?/i,B=/^([^\?#]+)?(?:\?([^#]+))?(?:#(.+))?/i,C="object",D="string",E=/^\s+|\s+$/g;a=String.prototype.trim?function(a){return a&&a.trim?a.trim():a}:function(a){try{return a.replace(E,q)}catch(b){return a}},b=function(a){return a&&typeof a===C},c=function(a){return typeof a===D},URL.ABSOLUTE=d,URL.RELATIVE=e,URL.normalize=function(a){return new URL(a).toString()},URL.resolve=function(a,b){return new URL(a).resolve(b).toString()},URL.prototype={_init:function(a){return this.constructor=URL,a=c(a)?a:a instanceof URL?a.toString():null,this._original=a,this._url={},this._isValid=this._parse(a),this},toString:function(){var a=this._url,b=[],c=a[r],e=a[s],h=a[w],i=a[x],k=a[y];return c===d&&(b.push(e?e+f+g:g,this.authority()),h&&0!==h.indexOf(j)&&(h=j+h)),b.push(h,i?m+this.queryString():q,k?p+k:q),b.join(q)},original:function(){return this._original},isValid:function(){return this._isValid},isAbsolute:function(){return this._url[r]===d},isRelative:function(){return this._url[r]===e},isHostRelative:function(){var a=this._url[w];return this.isRelative()&&a&&0===a.indexOf(j)},type:function(){return this._url[r]},scheme:function(a){return arguments.length?this._set(s,a):this._url[s]},userInfo:function(a){return arguments.length?this._set(t,a):this._url[t]},host:function(a){return arguments.length?this._set(u,a):this._url[u]},domain:function(){var a=this._url[u];return a?a.split(i).slice(-2).join(i):void 0},port:function(a){return arguments.length?this._set(v,a):this._url[v]},authority:function(){var a=this._url,b=a[t],c=a[u],d=a[v];return[b?b+h:q,c,d?f+d:q].join(q)},path:function(a){return arguments.length?this._set(w,a):this._url[w]},query:function(a){return arguments.length?this._set(x,a):this._url[x]},queryString:function(a){if(arguments.length)return this._set(x,this._parseQuery(a));a=q;var b,c,d=this._url[x];if(d)for(b=0,c=d.length;c>b;b++)a+=d[b].join(n),c-1>b&&(a+=o);return a},fragment:function(a){return arguments.length?this._set(y,a):this._url[y]},resolve:function(a){a=a instanceof URL?a:new URL(a);var b,c;return this.isValid()&&a.isValid()?a.isAbsolute()?this.isAbsolute()?a.scheme()?a:new URL(a).scheme(this.scheme()):a:(b=new URL(this.isAbsolute()?this:null),a.path()?(c=a.isHostRelative()||!this.path()?a.path():this.path().substring(0,this.path().lastIndexOf(j)+1)+a.path(),b.path(this._normalizePath(c)).query(a.query()).fragment(a.fragment())):a.query()?b.query(a.query()).fragment(a.fragment()):a.fragment()&&b.fragment(a.fragment()),b):this},reduce:function(a){a=a instanceof URL?a:new URL(a);var b=this.resolve(a);return this.isAbsolute()&&b.isAbsolute()&&b.scheme()===this.scheme()&&b.authority()===this.authority()&&b.scheme(null).userInfo(null).host(null).port(null),b},_parse:function(b,f){if(b=a(b),!(c(b)&&b.length>0))return!1;var g,h;switch(f||(f=b.match(z),f=f?f[1]?d:f[2]?e:null:null),f){case d:g=b.match(A),g&&(h={},h[r]=d,h[s]=g[1]?g[1].toLowerCase():void 0,h[t]=g[2],h[u]=g[3].toLowerCase(),h[v]=g[4]?parseInt(g[4],10):void 0,h[w]=g[5]||j,h[x]=this._parseQuery(g[6]),h[y]=g[7]);break;case e:g=b.match(B),g&&(h={},h[r]=e,h[w]=g[1],h[x]=this._parseQuery(g[2]),h[y]=g[3]);break;default:return this._parse(b,d)||this._parse(b,e)}return h?(this._url=h,!0):!1},_parseQuery:function(b){if(c(b)){b=a(b);var d,e,f,g=[],h=b.split(o);for(e=0,f=h.length;f>e;e++)h[e]&&(d=h[e].split(n),g.push(d[1]?d:[d[0]]));return g}},_set:function(a,b){return this._url[a]=b,!b||a!==s&&a!==t&&a!==u&&a!==v||(this._url[r]=d),b||a!==u||(this._url[r]=e),this._isValid=this._parse(this.toString()),this},_normalizePath:function(a){var b,c,d,e,f,g;if(a.indexOf(l)>-1){for(b=a.split(j),d=[],f=0,g=b.length;g>f;f++)c=b[f],c===k?d.pop():c&&d.push(c);e=d.join(j),a[0]===j&&(e=j+e),a[a.length-1]===j&&e.length>1&&(e+=j)}else e=a;return e}}}();;
/*!
 * Blurring
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 1.0.0
 * @pacakge core
*/
/*!
 *
 * Version: 0.0.5
 * Author: Gianluca Guarini
 * Website: http://www.gianlucaguarini.com/
*/
!function(a,b,c){"use strict";var d={filterId:0},e=" -webkit- -moz- -o- -ms- ".split(" "),f=function(){var a=b.createElement("div");return a.style.cssText=e.join("filter:blur(2px); "),!!a.style.length&&(void 0===b.documentMode||b.documentMode>9)},g=function(){var a=!1;try{a=void 0!==typeof SVGFEColorMatrixElement&&2==SVGFEColorMatrixElement.SVG_FECOLORMATRIX_TYPE_SATURATE}catch(b){}return a},h=function(e,h){var i,j,k,l={intensity:5,forceSVGUrl:!1,animationOptions:{duration:1e3,easing:"linear"}},m=c.extend(l,h),n={},o=function(a){if(n[a]||""===n[a])return n[a]+a;for(var c=b.createElement("div"),d=["","Moz","Webkit","O","ms","Khtml"],e=0;e<d.length;e++)if("undefined"!=typeof c.style[d[e]+a])return n[a]=d[e],d[e]+a;return a.toLowerCase()},p={cssfilters:f(),svgfilters:g()},q=!1,r=o("Filter"),s=function(a){return b.createElementNS("http://www.w3.org/2000/svg",a)},t=function(){var a=s("svg"),b=s("filter");i=s("feGaussianBlur"),a.setAttribute("style","position:absolute"),a.setAttribute("width","0"),a.setAttribute("height","0"),b.setAttribute("id","blur-effect-id-"+d.filterId),b.appendChild(i),a.appendChild(b),c("body").append(a)};return this.$elm=e instanceof c?e:c(e),this.init=function(){return p.svgfilters&&t(),j=d.filterId,d.filterId++,this},this.blur=function(){var b,c=a.location,d=m.forceSVGUrl?c.protocol+"//"+c.host+c.pathname:"";return p.cssfilters?b="blur("+m.intensity+"px)":p.svgfilters?(i.setAttribute("stdDeviation",m.intensity),b="url("+d+"#blur-effect-id-"+j+")"):b="progid:DXImageTransform.Microsoft.Blur(pixelradius="+m.intensity+")",this.$elm[0].style[r]=b,q=!0,this},this.animate=function(a,b){if("number"!=typeof a)throw typeof a+" is not a valid number to animate the blur";if(0>a)throw"I can animate only positive numbers";var d=new c.Deferred;return k&&k.stop(!0,!0),k=new c.Animation(m,{intensity:a},c.extend(m.animationOptions,b)).progress(c.proxy(this.blur,this)).done(d.resolve),d.promise()},this.unblur=function(){return this.$elm.css(r,"none"),q=!1,this},this.toggleblur=function(){return q?this.unblur():this.blur(),this},this.destroy=function(){p.svgfilters&&c("filter#blur-effect-id-"+j).parent().remove(),this.unblur();for(var a in this)delete this[a];return this},this.init()};c.fn.Vague=function(a){return new h(this,a)},c.pandalocker.tools.supportBlurring=function(){return c.pandalocker.browser.msie&&c.pandalocker.browser.version>9&&c.pandalocker.browser.msie<12?!1:f()||g()?!0:!1}}(window,document,jQuery);;
/*!
 * OnePress Default State Storage
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.pandalocker.storages.defaultStateStorage=function(b){var c=b.options;this.demo=c.demo,this.useCookies=c.locker.useCookies,this.expires=c.locker.expires,this.isUnlocked=function(a){return this.demo?!1:this._getValue(a)?!0:!1},this.isLocked=function(a){return!this.isUnlocked(a)},this.requestState=function(a,b){return this.demo?b("locked"):void b(this.isUnlocked(a)?"unlocked":"locked")},this.setState=function(a,b){if(this.demo)return!0;try{return"unlocked"===b?this._setValue(a):this._removeValue(a)}catch(c){console&&console.log(c)}},this._setValue=function(b){if(!b)return!1;var c=!0,d=1e4;if(this.expires){var e=new Date,f=e.getTime(),g=f+1e3*this.expires;d=Math.ceil(this.expires/86400),c=JSON.stringify({expires:g})}var h=!0;if(localStorage&&!this.useCookies){h=!1;try{localStorage.setItem(b,c)}catch(i){console&&console.log(i),h=!0}}return h&&a.pandalocker.tools.cookie(b,c,{expires:d,path:"/"}),!0},this._getValue=function(b){if(!b)return!1;var c=localStorage&&!this.useCookies&&localStorage.getItem(b);if(c||(c=a.pandalocker.tools.cookie(b)),c)try{var d=JSON.parse(c);if(d&&d.expires){var e=new Date;return d.expires>e}return!0}catch(f){return!0}},this._removeValue=function(b){return b?(localStorage&&localStorage.removeItem(b),void a.pandalocker.tools.cookie(b,null)):!1}}}(jQuery);;
/*!
 * OnePress Default Subscription Service
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.pandalocker.services.subscription=function(b){this.id=b.id,this.serviceOptions=b,this.cookieName="opanda_"+b.name+"_"+b.service+"_"+b.listId,this.checkingInterval=b.checkingInterval||1e4,this._call=function(b,c){var d=this,e={};return e.opandaIdentityData=c,e.opandaHandler="subscription",e.opandaRequestType=b,e.opandaService=this.serviceOptions.service,e.opandaListId=this.serviceOptions.listId,e.opandaDoubleOptin=this.serviceOptions.doubleOptin,e.opandaConfirm=this.serviceOptions.confirm,e.opandaRequireName=this.serviceOptions.requireName,e=a.pandalocker.filters.run(this.id+".ajax-data",[e]),e=a.pandalocker.filters.run(this.id+".subscribe.ajax-data",[e]),this.serviceOptions.parentId&&(e=a.pandalocker.filters.apply("subscription-data-"+this.serviceOptions.parentId,e)),a.ajax({type:"POST",dataType:"json",url:d.serviceOptions.proxy,data:e,error:function(a){a&&a.readyState<4||console&&console.log&&(console.log("Invalide ajax response:"),console.log(a.responseText))}})},this.subscribe=function(b){var c=this,d=new a.Deferred;return this._call("subscribe",b).success(function(a){return a&&a.error?void d.reject(a):a&&"subscribed"===a.status?void d.resolve(a):c.serviceOptions.doubleOptin&&c.serviceOptions.confirm?(c._setWaitingStatus(b),d.notify("waiting-confirmation"),void c.waitSubscription(b).done(function(a){d.resolve(a)}).fail(function(a){d.reject(a)}).always(function(){c._removeWaitingStatus()})):void d.resolve(a)}).error(function(b){b&&b.readyState<4||d.reject({error:a.pandalocker.lang.errors.ajaxError})}),d.promise()},this.waitSubscription=function(b){var c=this,d=new a.Deferred;return this._waitingConfirmationResult=d,c._isCanceled?void(c._isCanceled=!1):(this.check(b).done(function(a){return c._isCanceled?void(c._isCanceled=!1):(console&&console.log&&console.log("waiting subscription..."),console&&console.log&&console.log(a),a&&"subscribed"===a.status?void d.resolve(a):void setTimeout(function(){var a=c.waitSubscription(b);a&&(a.done(function(a){d.resolve(a)}),a.fail(function(a){d.reject(a)}))},c.checkingInterval))}).fail(function(a){return c._isCanceled?void(c._isCanceled=!1):void d.reject(a)}),d.promise())},this.check=function(b){var c=new a.Deferred;return this._call("check",b).success(function(a){return a.error?void c.reject(a):void c.resolve(a)}).error(function(b){b&&b.readyState<4||c.reject({error:a.pandalocker.lang.errors.ajaxError})}),c.promise()},this.cancel=function(){this._isCanceled=!0,this._removeWaitingStatus(),this._waitingConfirmationResult&&(this._waitingConfirmationResult.reject({error:a.pandalocker.lang.errors_subscription_canceled}),this._waitingConfirmationResult=null)},this._setWaitingStatus=function(b){var c=JSON.stringify(b);if(localStorage&&localStorage.setItem)try{localStorage.setItem(this.cookieName,c)}catch(d){a.pandalocker.tools.cookie(this.cookieName,c,{expires:365,path:"/"})}else a.pandalocker.tools.cookie(this.cookieName,c,{expires:365,path:"/"})},this._removeWaitingStatus=function(){localStorage&&localStorage.removeItem&&localStorage.removeItem(this.cookieName),a.pandalocker.tools.cookie(this.cookieName,!1,{expires:0,path:"/"})},this.isWaitingSubscription=function(){var a=this.getWaitingIdentityData();return a?!0:!1},this.getWaitingIdentityData=function(){var b=localStorage&&localStorage.getItem&&localStorage.getItem(this.cookieName);return b||(b=a.pandalocker.tools.cookie(this.cookieName)),b?JSON.parse(b):b}}}(jQuery);;
/*!
 * Interrelation
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 4.0.0
 * @pacakge extras
*/
!function(a){"use strict";a.pandalocker.extras||(a.pandalocker.extras={}),a.pandalocker.extras.interrelation={init:function(){var a=this.options.locker&&this.options.locker.scope;if(a){var b=this;this.addHook("state-changed",function(c,d){if("unlocked"===d){var e=b._getStateStorage(),f="scope_"+a;e.setState(f,"unlocked")}}),this.addFilter("functions-requesting-state",function(c){return c.push(function(c){var d=b._getStateStorage(),e="scope_"+a;d.requestState(e,function(a){c(a)})}),c}),this.addHook("unlocked",function(c,d){"button"===d&&b.runHook("unlocked-by-scope-"+a,[],!0)}),this.addHook("unlocked-by-scope-"+a,function(a){a!==b&&b.unlock("scope")},10,!0)}}}}(jQuery);;
/*!
 * Google Analytics
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 4.0.0
 * @pacakge extras
*/
!function(a){"use strict";a.pandalocker.extras||(a.pandalocker.extras={}),a.pandalocker.extras.googleAnalytics={init:function(){if(this.options.googleAnalytics){this.addHook("unlocked",function(b,c,d,e){if(window._gaq||window.ga)if(e||(e=window.location.href),"button"===c){var f=null;f="facebook-like"===d?"Facebook Like":"facebook-share"===d?"Facebook Share":"twitter-tweet"===d?"Twitter Tweet":"twitter-follow"===d?"Twitter Follow":"google-plus"===d?"Google Plus":"google-share"===d?"Google Share":"linkedin-share"===d?"LinkedIn Share":"google-youtube"===d?"Google Youtube":"facebook"===d?"Facebook Sign-In":"twitter"===d?"Twitter Sign-In":"google"===d?"Google Sign-In":"linkedin"===d?"LinkedIn Sign-In":"form"===d?"Opt-In Form":d.substr(0,1).toUpperCase()+d.substr(1),a("Lockers","Unlocked (Total)",e),a("Lockers ","Unlocked via "+f,e)}else"timer"===c?(a("Lockers","Skipped (Total)",e),a("Lockers ","Skipped via Timer",e)):"cross"===c&&(a("Lockers","Skipped (Total)",e),a("Lockers ","Skipped via Cross",e))});var a=function(a,b,c){window.ga?window.ga("send","event",a,b,c):window._gaq.push(["_trackEvent",a,b,c])}}}}}(jQuery);;
/*!
 * Not Available
 * Copyright 2014, OnePress, http://byonepress.com
 * 
 * @since 4.0.0
 * @pacakge extras
*/
!function(a){"use strict";a.pandalocker.extras||(a.pandalocker.extras={}),a.pandalocker.extras.na={init:function(){var a=this,b=0,c=0,d={},e=function(){for(var b=0,c=0;c<a._groups.length;c++)for(var d=0;d<a._groups[c].controls.length;d++)b++;return b};this.addHook("control-error",function(f,g,h){b||(b=e(),c=b);var i=h+"-"+g;d[i]||(d[i]=!0,c--,c>0||(a.runHook("na"),"show-content"===a.options.locker.naMode&&a.unlock("na")))})}}}(jQuery);;
!function(a){"use strict";var b={};b.init=function(b,c){var d=a.extend(!0,{},this._defaults);if(this.options=a.extend(!0,d,c),this.groupOptions=b.options,this.lockerOptions=b.locker.options,this.lang=b.lang,this.group=b,this.locker=b.locker,this.groupOptions.senderName&&(this.senderName=this.groupOptions.senderName),!this.name)throw new Error('The property "name" cannot be empty for the control.');this.setup&&this.setup(),this.setupHooks&&this.setupHooks(),this.prepareOptions&&this.prepareOptions()},b._defaults={},b.renderControl=function(b){this.control=a(this.tag||"<div>").addClass("onp-sl-control").addClass("onp-sl-"+this.name).appendTo(b),this.innerWrap=a("<div></div>").addClass("onp-sl-control-inner-wrap").appendTo(this.control),this._isRendered=!0,this._hasError()&&this.showError(),this.render(this.innerWrap)},b.render=function(){throw new Error("The control should implement the method 'render'")},b.unlock=function(a,b,c){this.setState("unlocked"),this.group.unlock(a||"button",b||this.senderName||this.name,c)},b.requestState=function(a){var b=this._getStateStorage();b.requestState(this._getStorageIdentity(),a)},b.setState=function(a,b){var c=this._getStateStorage();c.setState(this._getStorageIdentity(),a,b),this.group.setState(a,"button",this.name)},b._getStorageIdentity=function(){return"control_"+this.name},b._getStateStorage=function(){return this.locker._getStateStorage()},b._setLoadingState=function(a){this._stateSender||(this._stateSender=a,this.control.addClass("onp-sl-state-loading"),this._isLoadingState=!0)},b._removeLoadingState=function(a){this._stateSender&&this._stateSender!==a||(this._stateSender=null,this.control.removeClass("onp-sl-state-loading"),this._isLoadingState=!1)},b._isLoading=function(){return this._isLoadingState},b._setError=function(a){this._error||(this._error=a)},b._hasError=function(){return this._error?!0:!1},b.showError=function(a,b){var c=this;if(this.runHook("control-error",[c.name,c.group.name]),!this._isRendered)return void this._setError(a);var b=b||this.innerWrap,a=a||this._error;if(!this.control.hasClass("onp-sl-state-error")){this.control.removeClass("onp-sl-state-loading").addClass("onp-sl-state-error");var d=this.createErrorMarkup(a).appendTo(b);d.find(".onp-sl-error-title").click(function(){return c.group.showError(c.name,a),!1})}},b.createErrorMarkup=function(){return a("<div class='onp-sl-error-body'><a href='#' class='onp-sl-error-title'>"+a.pandalocker.lang.error+"</a></div>")},b.showNotice=function(a){this.group.showNotice(a)},b.addHook=function(a,b,c){return this.group.addHook(a,b,c)},b.runHook=function(a,b){return this.group.runHook(a,b)},b.addFilter=function(a,b,c){return this.group.addFilter(a,b,c)},b.applyFilters=function(a,b,c){return this.group.applyFilters(a,b,c)},b.requireSdk=function(b,c,d){var e=this;if(this._setLoadingState(),b){var f=this.group.options.loadingTimeout||2e4,g=!1;setTimeout(function(){g||e.showError(a.pandalocker.lang.errors.unableToLoadSDK.replace("{0}",b))},f),a.pandalocker.sdk.connect(b,c||{},function(){if(g=!0,!d)return void e._removeLoadingState();var b=e.verification.timeout,c=function(){return 0===e.control.find(e.verification.container).length&&b>=0?(setTimeout(function(){c()},500),void(b-=500)):(e._removeLoadingState(),0>=b?void e.showError(a.pandalocker.lang.errors.unableToCreateControl.replace("{0}",e.networkName)):void 0)};c()})}else e._removeLoadingState()},b.showScreen=function(a,b){this.group.showScreen(a,b)},a.pandalocker.entity.control=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.control);b.setup=function(){var b=this;this.options.actions=this.options.actions||[];var c=!1;for(var d in this.options.actions)"subscribe"===this.options.actions[d]&&(this.options.actions.splice(d,1),c=!0);c&&this.options.actions.push("subscribe"),this.groupOptions.actions&&(this.options.actions=a.extend(this.options.actions,this.groupOptions.actions));for(var e=0;e<this.options.actions.length;e++){var f=a.pandalocker.tools.camelCase(this.options.actions[e]);this.options[f]=this.options[f]||{};var g=f+"Options";this.groupOptions[g]&&(this.options[f]=a.extend(!0,this.options[f],this.groupOptions[g]));var h=f+"ActionOptions";this.lockerOptions[h]&&(this.options[f]=a.extend(!0,this.options[f],this.lockerOptions[h]))}if(this.options.proxy=this.options.proxy||this.groupOptions.proxy||this.lockerOptions.proxy,c){var i={id:b.locker.id,proxy:b.lockerOptions.proxy,name:b.name,listId:b.options[f].listId,service:b.options[f].service,doubleOptin:b.options[f].doubleOptin,confirm:b.options[f].confirm,requireName:b.options[f].requireName||!1},j=new a.pandalocker.services.subscription(i);this.subscriptionService=b.applyFilters("get-default-subscription-service",j)}},b.runActions=function(b,c,d){var e=new a.Deferred,f=this;if(!this._actionsDone){this._actionsDone=!0;var g=this.options.actions.slice();d&&this.showScreen("data-processing");var h=function(){var i=g.shift();if(!i)return e.resolve(),void f.unlock();var j=f.options[a.pandalocker.tools.camelCase(i)],k=a.pandalocker.tools.camelCase("run-"+i+"-action");if(!f[k])throw e.reject(),f._actionsDone=!1,new Error("The action '"+k+"' not found.");f[k](b,c,j,d,function(a){return"error"===a?(f.runHook("raw-error"),e.reject(a),f._actionsDone=!1,f.showScreen("default")):void h()})};return h(),e.promise()}},b.runSubscribeAction=function(b,c,d,e,f){var g=this,h=function(){e&&g.showScreen("data-processing");var a=g.subscriptionService.subscribe(b);g._setupSubscriptionHooks(a,b),a.fail(function(){f("error")})};return b.email?void h():this.showScreen("enter-email",{header:a.pandalocker.lang.onestep_screen_title,message:a.pandalocker.lang.onestep_screen_instructiont,buttonTitle:a.pandalocker.lang.onestep_screen_button,note:a.pandalocker.tools.normilizeHtmlOption(g.options.noSpamText||g.groupOptions.text.noSpamText||a.pandalocker.lang.noSpam),callback:function(a){b.email=a,h()}})},b.runSignupAction=function(b,c,d,e,f){var g=this,h=function(){e&&g.showScreen("data-processing");var c={};return c.opandaIdentityData=b,c.opandaHandler="signup",c=a.pandalocker.filters.run(g.locker.id+".ajax-data",[c]),c=a.pandalocker.filters.run(g.locker.id+".signup.ajax-data",[c]),a.ajax({type:"POST",dataType:"json",url:g.lockerOptions.proxy,data:c,success:function(){f()},error:function(a){a&&a.readyState<4||(g.showScreen("default"),g.showError("Unable to sign in, the ajax error occurred."),f("error"),console&&console.log&&(console.log("Invalide ajax response:"),console.log(a.responseText)))}})};return b.email?void h():this.showScreen("enter-email",{header:a.pandalocker.lang.onestep_screen_title,message:a.pandalocker.lang.onestep_screen_instructiont,buttonTitle:a.pandalocker.lang.onestep_screen_button,note:a.pandalocker.tools.normilizeHtmlOption(g.options.noSpamText||g.groupOptions.text.noSpamText||a.pandalocker.lang.noSpam),callback:function(a){b.email=a,h()}})},b.runLeadAction=function(b,c,d,e,f){var g=this,h=function(){e&&g.showScreen("data-processing");var c={};return c.opandaIdentityData=b,c.opandaHandler="lead",c=a.pandalocker.filters.run(g.locker.id+".ajax-data",[c]),c=a.pandalocker.filters.run(g.locker.id+".lead.ajax-data",[c]),a.ajax({type:"POST",dataType:"json",url:g.lockerOptions.proxy,data:c,success:function(){f()},error:function(a){a&&a.readyState<4||(g.showScreen("default"),g.showError("Unable to sign in, the ajax error occurred."),f("error"),console&&console.log&&(console.log("Invalide ajax response:"),console.log(a.responseText)))}})};return b.email?void h():this.showScreen("enter-email",{header:a.pandalocker.lang.onestep_screen_title,message:a.pandalocker.lang.onestep_screen_instructiont,buttonTitle:a.pandalocker.lang.onestep_screen_button,note:a.pandalocker.tools.normilizeHtmlOption(g.options.noSpamText||g.groupOptions.text.noSpamText||a.pandalocker.lang.noSpam),callback:function(a){b.email=a,h()}})},b._checkWaitingSubscription=function(){if(this.subscriptionService&&this.subscriptionService.isWaitingSubscription()){var a=this.subscriptionService.getWaitingIdentityData(),b=this.subscriptionService.waitSubscription(a);this._setupSubscriptionHooks(b,a);var c=this;this.showScreen("email-confirmation",{service:c.subscriptionService,email:a.email})}},b._setupSubscriptionHooks=function(a,b){var c=this;return a.done(function(){c.unlock()}),a.fail(function(a){c.runHook("raw-error"),c.showNotice(a.error),c.showScreen("default"),a.detailed&&console&&console.log&&console.log(a.detailed)}),a.always(function(){c.subscriptionService._removeWaitingStatus()}),a.progress(function(a){c.showScreen("email-confirmation",{service:c.subscriptionService,email:b.email})}),a},a.pandalocker.entity.actionControl=b}(jQuery);;
!function(a){"use strict";var b={};b._defaults={},b.init=function(b,c){var d=this;this.locker=b,this.lockerOptions=b.options,this.lang=b.lang,c||(c={});var e=a.extend(!0,{},this._defaults);this.options=a.extend(!0,e,c);for(var f in c)c.hasOwnProperty(f)&&a.isArray(c[f])&&(this.options[f]=c[f]);if(this.isFirst=1===c.index,this.isLast=c.index===this.lockerOptions.groups.order.length,this.isSingle=1===this.lockerOptions.groups.order.length,"object"!=typeof this.options.text&&(this.options.text={message:d.options.text}),this.isFirst&&(this.options.text.header=""===this.options.text.header?"":this.options.text.header||this.lang.defaultHeader,this.options.text.message=""===this.options.text.message?"":this.options.text.message||this.lang.defaultMessage),this.options.text.header=a.pandalocker.tools.normilizeHtmlOption(this.options.text.header),this.options.text.message=a.pandalocker.tools.normilizeHtmlOption(this.options.text.message),this.options.text.footer=a.pandalocker.tools.normilizeHtmlOption(this.options.text.footer),!1!==this.options.separator){var g=a.isPlainObject(this.options.separator)?this.options.separator:{type:"line",title:d.options.separator};g.type=g.type||"line",this.options.separator=g}this.childInit&&this.childInit(),this.setup&&this.setup(),this.setupHooks&&this.setupHooks(),this.prepareOptions&&this.prepareOptions();try{this.createControls()}catch(h){if(!h.onpsl)throw h;this.showError(this.name,h.message)}},b.createControls=function(){this.controls=[];for(var b=0;b<this.options.order.length;b++){var c=this.options.order[b];if("string"==typeof c){if(!a.pandalocker.controls[this.name][c])throw new a.pandalocker.error('Control "'+c+'" not found in the group "'+this.name+'"');var d=this.createControl(c);this.controls.push(d)}}},b.createControl=function(b){var c=a.pandalocker.tools.extend(a.pandalocker.controls[this.name][b]),d=a.pandalocker.tools.camelCase(b),e=this.options[d]||{};return c.init(this,e),c},b.requestState=function(a){for(var b=this.controls.length,c="locked",d=0;d<this.controls.length;d++)this.controls[d].requestState(function(d){b--,"unlocked"===d&&(c=d),0>=b&&a(c)})},b.canLock=function(){return!0},b.renderGroup=function(b){var c=a("<div class='onp-sl-group onp-sl-"+this.name+"'></div>");c.appendTo(b);var d=a("<div class='onp-sl-group-inner-wrap'></div>");if(d.appendTo(c),c.addClass(this.isFirst?"onp-sl-first-group":this.isLast?"onp-sl-last-group":"onp-sl-middle-group"),c.addClass(this.isSingle?"onp-sl-single-group":"onp-sl-not-single-group"),c.addClass("onp-sl-group-index-"+this.options.index),this.element=c,this.innerWrap=d,this.renderSeparator(),this.options.text.header||this.options.text.message){var e=a("<div class='onp-sl-text'></div>").appendTo(this.innerWrap);this.options.text.header&&e.append(this.options.text.header.addClass("onp-sl-header onp-sl-strong").clone()),this.options.text.message&&e.append(this.options.text.message.addClass("onp-sl-message").clone())}this._isRendered=!0,this.render(this.innerWrap)},b.render=function(){this.renderControls(this.innerWrap)},b.unlock=function(a,b,c){this.locker.unlock(a,b,c)},b.setState=function(a,b,c){this.locker.setState(a,b||"group",c||this.name)},b.renderControls=function(a){for(var b=0;b<this.controls.length;b++)this.controls[b].renderControl(a)},b.showError=function(b,c){if(this._isRendered){if(this.element.find(".onp-sl-group-error").remove(),this._currentErrorFor===b)this.element.find(".onp-sl-group-error").remove(),this._currentErrorFor=null;else{var d=a("<div class='onp-sl-group-error'>"+c+"</div>");this.innerWrap.append(d),this._currentErrorFor=b}this.runHook("size-changed")}else this.locker._showError(b,c)},b.showNotice=function(b,c){this.element.find(".onp-sl-group-notice").remove();var d=a("<div class='onp-sl-group-notice'>"+b+"</div>").hide();this.innerWrap.append(d),d.fadeIn(500),c||(c=7e3),setTimeout(function(){d.length&&d.fadeOut(800,function(){d.remove()})},c)},b.renderSeparator=function(){if(!this.isFirst&&this.options.separator!==!1){var b=this,c=this.options.separator,d=c.type;this.element.addClass("onp-sl-has-separator").addClass("onp-sl-has-"+d+"-separator");var e=a("<div class='onp-sl-group-separator onp-sl-"+d+"-separator'></div>"),f="hiding-link"===d?"<a href='#'></a>":"<span></span>",g=a(f).addClass("onp-sl-title").appendTo(e);if(g.html(c.title||a.pandalocker.lang.misc_or),e.appendTo(this.innerWrap),"hiding-link"===d){this.element.addClass("onp-sl-separator-hides");var h=a("<div class='onp-sl-hiding-link-container' style='display: none;'></div>");h.appendTo(this.innerWrap),this.innerWrap=h,g.click(function(){return b.element.removeClass("onp-sl-separator-hides"),b.element.addClass("onp-sl-separator-shows"),e.hide(),h.fadeIn(500),b.runHook("size-changed"),!1})}}},b.addHook=function(a,b,c){return this.locker.addHook(a,b,c)},b.runHook=function(a,b){return this.locker.runHook(a,b)},b.addFilter=function(a,b,c){return this.locker.addFilter(a,b,c)},b.applyFilters=function(a,b,c){return this.locker.applyFilters(a,b,c)},b.showScreen=function(a,b){this.locker._showScreen(a,b)},b.registerScreen=function(a,b){this.locker._registerScreen(a,b)},a.pandalocker.entity.group=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.group);b._defaults={url:null,layout:"horizontal",flip:!1,order:["twitter-tweet","facebook-like",,"google-plus"],counters:!0,facebook:{version:"v1.0",like:{title:a.pandalocker.lang.socialButtons.facebookLike},share:{title:a.pandalocker.lang.socialButtons.facebookShare}},twitter:{tweet:{title:a.pandalocker.lang.socialButtons.twitterTweet},follow:{title:a.pandalocker.lang.socialButtons.twitterFollow}},google:{plus:{title:a.pandalocker.lang.socialButtons.googlePlus},share:{title:a.pandalocker.lang.socialButtons.googleShare}},linkedin:{share:{title:a.pandalocker.lang.socialButtons.linkedinShare}}},b.name="social-buttons",b.prepareOptions=function(){this.options.lang=this.locker.options.lang,"horizontal"!==this.options.layout&&"vertical"!==this.options.layout&&(this.options.layout="horizontal"),this.options.url=this.options.url||this.locker.options.url},b.render=function(){this.element.addClass(this.options.counters?"onp-sl-has-counters":"onp-sl-no-counters"),this.element.addClass("onp-sl-"+this.options.layout),this.element.addClass("onp-sl-lang-"+this.options.lang),this.renderControls(this.innerWrap)},b.createControl=function(b){var c=a.pandalocker.tools.extend(a.pandalocker.controls[this.name][b]),d=b.split("-"),e=2===d.length?d[0]:null,f=2===d.length?d[1]:d[0],g={};e?(this.options[e]&&(g=a.extend({},this.options[e])),this.options[e][f]&&(g=a.extend(g,this.options[e][f]))):this.options[f]&&(g=a.extend(g,this.options[f]));var h=e?this.options[e]:{};return h.lang=this.options.lang,h.counters=this.options.counters,h.url=h.url||this.options.url,c.init(this,g,h),c},b.canLock=function(){if(a.pandalocker.tools.isTabletOrMobile()){var b=a.inArray("google-share",this.options.order);b>=0&&this.options.order.splice(b,1)}return 0===this.options.order.length?!1:!0},a.pandalocker.groups["social-buttons"]=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.control);b.init=function(b,c,d){this.networkOptions=d;var e=this.name.split("-");this.networkName=2===e.length?e[0]:null,this.buttonName=2===e.length?e[1]:e[0],a.pandalocker.entity.control.init.call(this,b,c),this._ssIdentity=this.networkName?"page_"+a.pandalocker.tools.hash(this.url)+"_hash_"+this.networkName+"-"+this.buttonName:"page_"+a.pandalocker.tools.hash(this.url)+"_hash_"+this.buttonName},b._extractUrl=function(){return URL.normalize(this.options.url||this.networkOptions.url||window.location.href)},b.render=function(b){var c=this;this.networkName&&this.control.addClass("onp-sl-"+this.networkName),this.container=a("<div class='onp-sl-social-button onp-sl-social-button-"+this.name+"'></div>"),this.container.appendTo(b),this._hasError()||(this.requireSdk(this.networkName,this.networkOptions,!0),a.pandalocker.sdk.connect(this.networkName,this.networkOptions,function(){c.setupEvents(),c.renderButton(c.container)})),this._addFlipEffect()},b._addFlipEffect=function(){var b=this.control,c=this.innerWrap,d=this.group.options.flip,e=a.pandalocker.tools.has3d();if(d&&e&&b.addClass("onp-sl-flip")||b.addClass("onp-sl-no-flip"),!d)return!0;var f=this.options.title||(this.networkName?a.pandalocker.lang[this.networkName+"_"+this.buttonName]:a.pandalocker.lang[this.networkName]),g=a("<a href='#'></a>").addClass("onp-sl-button-overlay").append(a("<div class='onp-sl-overlay-back'></div>")).append(a("<div class='onp-sl-overlay-front'></div>").append(a("<div class='onp-sl-overlay-icon'></div>")).append(a("<div class='onp-sl-overlay-line'></div>")).append(a("<div class='onp-sl-overlay-text'>"+f+"</div>"))).append(a("<div class='onp-sl-overlay-header'></div>"));g.prependTo(c),e||b.hover(function(){var b=a(this).find(".onp-sl-button-overlay");b.stop().animate({opacity:0},200,function(){b.hide()})},function(){var b=a(this).find(".onp-sl-button-overlay").show();b.stop().animate({opacity:1},200)}),a.pandalocker.isTouch()&&g.click(e?function(){return b.hasClass("onp-sl-flip-hover")?b.removeClass("onp-sl-flip-hover"):(a(".onp-sl-flip-hover").removeClass("onp-sl-flip-hover"),b.addClass("onp-sl-flip-hover")),!1}:function(){var b=a(this);return b.stop().animate({opacity:0},200,function(){b.hide()}),!1}),this.group._buttonsZIndex||(this.group._buttonsZIndex=54),this.group._buttonsZIndex=this.group._buttonsZIndex-4;var h=this.group._buttonsZIndex;b.css("z-index",h),g&&(g.css("z-index",h),g.find(".onp-sl-overlay-front").css("z-index",1),g.find(".onp-sl-overlay-back").css("z-index",-1),g.find(".onp-sl-overlay-header").css("z-index",1))},b._getStorageIdentity=function(){return this._ssIdentity},b.verification={container:"iframe",timeout:5e3},a.pandalocker.entity.socialButton=b}(jQuery);;
/*!
 * Facebook SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.facebook=a.pandalocker.sdk.facebook||{name:"facebook",url1:"//connect.facebook.net/{lang}/all.js",url2:"//connect.facebook.net/{lang}/sdk.js",scriptId:"facebook-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.FB},prepare:function(){0===a("#fb-root").length&&a("<div id='fb-root'></div>").appendTo(a("body"));var b=this.options&&this.options.lang||"en_US";this.url1=this.url1.replace("{lang}",b),this.url2=this.url2.replace("{lang}",b),this.url="v1.0"===this.options.version?this.url1:this.url2},createEvents:function(){var b=this,c=this.isLoaded(),d=function(){window.FB.init({appId:b.options&&b.options.appId||null,status:!0,cookie:!0,xfbml:!0,version:b.options.version}),window.FB.Event.subscribe("edge.create",function(b){a(document).trigger("onp-sl-facebook-like",[b])}),window.FB.init=function(){},a(document).trigger(b.name+"-init")};if(c)return void d();if(window.fbAsyncInit)var e=window.fbAsyncInit;window.fbAsyncInit=function(){d(),e&&e(),window.fbAsyncInit=function(){}}}}}(jQuery);;
/*!
 * Twitter SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.twitter=a.pandalocker.sdk.twitter||{name:"twitter",url:"//platform.twitter.com/widgets.js",scriptId:"twitter-wjs",timeout:1e4,isLoaded:function(){return"undefined"!=typeof window.__twttrlr},createEvents:function(){var b=this,c=this.isLoaded(),d=function(){a.pandalocker.browser.msie&&a.pandalocker.browser.version>=8&&window.twttr.events.bind("click",function(b){setTimeout(function(){a(document).trigger("onp-sl-twitter-tweet",[b])},6e3),setTimeout(function(){a(document).trigger("onp-sl-twitter-follow",[b])},3e3)}),window.twttr.events.bind("tweet",function(b){a(document).trigger("onp-sl-twitter-tweet",[b])}),window.twttr.events.bind("follow",function(b){a(document).trigger("onp-sl-twitter-follow",[b])}),a(document).trigger(b.name+"-init")};return c?void d():(window.twttr||(window.twttr={}),window.twttr.ready||(window.twttr=a.extend(window.twttr,{_e:[],ready:function(a){this._e.push(a)}})),void twttr.ready(function(){d()}))}}}(jQuery);;
/*!
 * Google SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.google=a.pandalocker.sdk.google||{name:"google",url:"//apis.google.com/js/plusone.js",scriptId:"google-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.gapi},prepare:function(){var b=this.options&&this.options.lang||"en";window.___gcfg=window.___gcfg||{lang:b},window.OPanda_GooglePlusOne_Callback=function(b){"on"===b.state&&a(document).trigger("onp-sl-google-plus",[b.href])},window.OPanda_GoogleShare_StartInteraction=function(b){a(document).trigger("onp-sl-google-share-opened",[b.id])},window.OPanda_GoogleShare_EndInteraction=function(b){a(document).trigger("onp-sl-google-share-closed",[b.id])}}}}(jQuery);;
/*!
 * LinkedIn SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.linkedin=a.pandalocker.sdk.linkedin||{name:"linkedin",url:"//platform.linkedin.com/in.js",scriptId:"linkedin-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.IN},prepare:function(){window.OPanda_LinkedinShare_Callback=function(b){a(document).trigger("onp-sl-linkedin-share",[b])};var b=window.open;window.open=function(c,d,e){var f=b(c,d,e);if(!f)return f;var g=d||f.name;return g?"easyXDM_IN"!==g.substring(0,10)?f:void(a.pandalocker.sdk.linkedin._activePopup=f):f}}}}(jQuery);;
/*!
 * Facebook Like Button
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="facebook-like",b._defaults={url:null,layout:"button_count",width:"auto",verbToDisplay:"like",colorScheme:"light",font:"tahoma",ref:null,theConfirmIssue:!1},b.prepareOptions=function(){this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.layout="box_count":this.groupOptions.counters||(this.options.layout="button")},b.setupHooks=function(){var a=this;this.addHook("markup-created",function(){a._startTrackIFrameSizes()}),this.addHook("before-show-content",function(){a._stopTrackIFrameSizes()})},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-facebook-like",function(a,c){b.url===URL.normalize(c)&&b.unlock("button",b.name,b.url)})},b.renderButton=function(b){this.button=a("<div></div>").appendTo(b),this.button.attr("data-show-faces",!1),this.button.attr("data-send",!1),this.button.attr("data-href",this.url),this.options.font&&this.button.attr("data-font",this.options.font),this.options.colorScheme&&this.button.attr("data-colorscheme",this.options.colorScheme),this.options.ref&&this.button.attr("data-ref",this.options.ref),this.options.width&&this.button.attr("data-width",this.options.width),this.options.layout&&this.button.attr("data-layout",this.options.layout),this.options.verbToDisplay&&this.button.attr("data-action",this.options.verbToDisplay),this.button.addClass("fb-like"),window.FB.XFBML.parse(b[0])},b._startTrackIFrameSizes=function(){if(!this.options.theConfirmIssue){var b=this;this._trackIFrameTimer=null,this.locker.locker.hover(function(){var c=b.control.find("iframe");c.length&&(b._trackIFrameTimer=setInterval(function(){var d=parseInt(c[0].style.height);d||(d=c.height()),d>200&&(b._stopTrackIFrameSizes(),a(document).trigger("onp-sl-facebook-like",[b.url]))},500))},function(){b._stopTrackIFrameSizes()})}},b._stopTrackIFrameSizes=function(){this._trackIFrameTimer&&clearInterval(this._trackIFrameTimer)},a.pandalocker.controls["social-buttons"]["facebook-like"]=b}(jQuery);;
/*!
 * Facebook Share Button
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="facebook-share",b._defaults={url:null,layout:"button_count",count:"standard",lang:"en_US",width:"auto",shareDialog:!1,name:null,caption:null,description:null,image:null,unlock:null},b.prepareOptions=function(){return this.url=this._extractUrl(),this.options.appId?void("vertical"===this.groupOptions.layout?this.options.layout="box_count":this.groupOptions.counters||(this.options.layout="button")):(this.showError(a.pandalocker.lang.errors.emptyFBAppIdError),!1)},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-facebook-share",function(a,c){b.url===URL.normalize(c)&&b.unlock("button",b.name,b.url)})},b.renderButton=function(b){var c=this;this.button=a("<div></div>").appendTo(b),this.button.attr("data-href",this.url),this.options.width&&this.button.attr("data-width",this.options.width),this.options.layout&&(this.button.attr("data-layout",this.options.layout),this.button.attr("data-type",this.options.layout));var d=a("<div class='onp-sl-facebook-share-overlay'></div>").appendTo(b);d.click(c.options.shareDialog?function(){return FB.ui({method:"share",href:c.url,display:"popup"},function(b){b&&!b.error_code&&a(document).trigger("onp-sl-facebook-share",[c.url])}),!1}:function(){return FB.ui({method:"feed",name:c.options.name,link:c.url,picture:c.options.image,caption:c.options.caption,description:c.options.description},function(b){b&&b.post_id&&a(document).trigger("onp-sl-facebook-share",[c.url])}),!1}),this.button.addClass("fb-share-button"),window.FB.XFBML.parse(b[0])},a.pandalocker.controls["social-buttons"]["facebook-share"]=b}(jQuery);;
/*!
 * Twitter Tweet
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="twitter-tweet",b._defaults={url:null,text:null,via:null,related:null,count:"horizontal",lang:"en",counturl:null,size:"medium"},b.prepareOptions=function(){if(!this.options.url&&!this.networkOptions.url&&a("link[rel='canonical']").length>0&&(this.options.url=a("link[rel='canonical']").attr("href")),this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.count="vertical":this.groupOptions.counters||(this.options.count="none"),this.groupOptions.lang){var b=this.groupOptions.lang.split("_");this.options.lang=b[0]}},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-twitter-tweet",function(c,d){if(d&&d.target){var e=URL.normalize(a(d.target).parent().data("url-to-verify"));b.url===URL.normalize(e)&&b.unlock("button",b.name,b.url)}})},b.renderButton=function(b){var c=this;this.button=a('<a href="https://twitter.com/share" class="twitter-share-button">Tweet</a>').appendTo(b),this.button.attr("data-url",this.url),this.button.attr("data-show-count",this.options.showCount),this.options.via&&this.button.attr("data-via",this.options.via),this.options.text&&this.button.attr("data-text",this.options.text),this.options.related&&this.button.attr("data-related",this.options.related),this.options.count&&this.button.attr("data-count",this.options.count),this.options.lang&&this.button.attr("data-lang",this.options.lang),this.options.counturl&&this.button.attr("data-counturl",this.options.counturl),this.options.hashtags&&this.button.attr("data-hashtags",this.options.hashtags),this.options.alignment&&this.button.attr("data-alignment",this.options.alignment),this.options.size&&this.button.attr("data-size",this.options.size),this.options.dnt&&this.button.attr("data-dnt",this.options.dnt),b.data("url-to-verify",c.url);var d=5,e=function(){if(!(b.find("iframe").length>0))if(window.twttr.widgets&&window.twttr.widgets.load)window.twttr.widgets.load(b[0]);else{if(0>=d)return;d--,setTimeout(function(){e()},1e3)}};e()},a.pandalocker.controls["social-buttons"]["twitter-tweet"]=b}(jQuery);;
/*!
 * Twitter Follow
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="twitter-follow",b._defaults={url:null,showScreenName:!1,showCount:!0,lang:"en",size:"medium"},b.prepareOptions=function(){if(!this.options.url||-1===this.options.url.indexOf("twitter"))return this.showError(a.pandalocker.lang.errors.emptyTwitterFollowUrlError),!1;if(this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.showError(a.pandalocker.lang.errors.unsupportedTwitterFollowLayout):this.groupOptions.counters||(this.options.showCount=!1),this.groupOptions.lang){var b=this.groupOptions.lang.split("_");this.options.lang=b[0]}},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-twitter-follow",function(c,d){if(d&&d.target){var e=URL.normalize(a(d.target).parent().data("url-to-verify"));b.url===URL.normalize(e)&&b.unlock("button",b.name,b.url)}})},b.renderButton=function(b){var c=this;this.button=a('<a href="https://twitter.com/share" class="twitter-follow-button">Follow</a>').appendTo(b),this.button.attr("href",this.url),this.button.attr("data-show-count",this.options.showCount),this.options.showCount&&this.button.attr("data-show-count",this.options.showCount),this.options.lang&&this.button.attr("data-lang",this.options.lang),this.options.alignment&&this.button.attr("data-alignment",this.options.alignment),this.options.size&&this.button.attr("data-size",this.options.size),this.options.dnt&&this.button.attr("data-dnt",this.options.dnt),this.options.showScreenName&&this.button.attr("data-show-screen-name",this.options.showScreenName),b.data("url-to-verify",c.url);var d=5,e=function(){if(!(b.find("iframe").length>0))if(window.twttr.widgets&&window.twttr.widgets.load)window.twttr.widgets.load(b[0]);else{if(0>=d)return;d--,setTimeout(function(){e()},1e3)}};e()},a.pandalocker.controls["social-buttons"]["twitter-follow"]=b}(jQuery);;
/*!
 * Google +1
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="google-plus",b._defaults={url:null,lang:"en-US",size:"medium",annotation:null,width:null,align:"left",expandTo:"",recommendations:!0},b.prepareOptions=function(){this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.size="tall":this.groupOptions.counters||(this.options.annotation="none")},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-google-plus",function(a,c){b.url===URL.normalize(c)&&b.unlock("button",b.name,b.url)})},b.renderButton=function(b){this.button=a("<div></div>").appendTo(b),this.button.attr("data-href",this.url),this.options.size&&this.button.attr("data-size",this.options.size),this.options.annotation&&this.button.attr("data-annotation",this.options.annotation),this.options.align&&this.button.attr("data-align",this.options.align),this.options.expandTo&&this.button.attr("data-expandTo",this.options.expandTo),this.options.recommendations&&this.button.attr("data-recommendations",this.options.recommendations),this.button.attr("data-callback","OPanda_GooglePlusOne_Callback"),this.button.addClass("g-plusone"),setTimeout(function(){window.gapi.plusone.go(b[0])},100)},a.pandalocker.controls["social-buttons"]["google-plus"]=b}(jQuery);;
/*!
 * Google Share
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="google-share",b._defaults={url:null,lang:"en-US",size:null,annotation:"bubble",width:null,align:"left",expandTo:"",recommendations:!0},b.prepareOptions=function(){this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.annotation="vertical-bubble":this.groupOptions.counters||(this.options.annotation="none")},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-google-share-opened",function(c,d){b.url===URL.normalize(d)&&(b._maxPopupHeight=0,b._heightChecker=setInterval(function(){var c=a(".goog-bubble-content").height();c>b._maxPopupHeight&&(b._maxPopupHeight=c)},300))}),a(document).bind("onp-sl-google-share-closed",function(a,c){b.url===URL.normalize(c)&&(b._maxPopupHeight>350&&b.unlock("button",b.name,b.url),b._heightChecker&&clearInterval(b._heightChecker),b._heightChecker=null)})},b.renderButton=function(b){this.button=a("<div></div>").appendTo(b),this.button.attr("data-href",this.url),this.options.size&&this.button.attr("data-size",this.options.size),this.options.annotation&&this.button.attr("data-annotation",this.options.annotation),this.options.align&&this.button.attr("data-align",this.options.align),this.options.expandTo&&this.button.attr("data-expandTo",this.options.expandTo),this.options.recommendations&&this.button.attr("data-recommendations",this.options.recommendations),this.button.attr("data-onstartinteraction","OPanda_GoogleShare_StartInteraction"),this.button.attr("data-onendinteraction","OPanda_GoogleShare_EndInteraction"),this.button.addClass("g-plus").attr("data-action","share"),setTimeout(function(){window.gapi.plus.go(b[0])},100)},a.pandalocker.controls["social-buttons"]["google-share"]=b}(jQuery);;
/*!
 * LinkedIn Share
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.socialButton);b.name="linkedin-share",b.verification.container=".IN-widget",b.verification.timeout=5e3,b._defaults={url:null,counter:"right"},b.prepareOptions=function(){this.url=this._extractUrl(),"vertical"===this.groupOptions.layout?this.options.counter="top":this.groupOptions.counters||(this.options.counter="none")},b.setupEvents=function(){var b=this;a(document).bind("onp-sl-linkedin-share",function(a,c){b.url===URL.normalize(c)&&b.unlock("button",b.name,b.url)})},b.renderButton=function(b){var c=this;this.button=a('<script type="IN/Share" data-onsuccess="OPanda_LinkedinShare_Callback" data-success="OPanda_LinkedinShare_Callback" data-onSuccess="OPanda_LinkedinShare_Callback"></script>'),this.options.counter&&this.button.attr("data-counter",this.options.counter),this.button.attr("data-url",this.url),this.button.appendTo(b),IN.init(),IN.parse&&IN.parse(this.button[0]),b.click(function(){setTimeout(function(){if(a.pandalocker.sdk.linkedin._activePopup){var b=a.pandalocker.sdk.linkedin._activePopup;a.pandalocker.sdk.linkedin._activePopup=!1;var d=setInterval(function(){b&&b.closed===!1||(clearInterval(d),a(document).trigger("onp-sl-linkedin-share",[c.url]))},200)}},200)})},a.pandalocker.controls["social-buttons"]["linkedin-share"]=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.group);b._defaults={order:["facebook","twitter","google"],facebook:{version:"v1.0"},twitter:{},google:{},linkedin:{}},b.name="connect-buttons",b.setup=function(){this.isFirst||(this.options.text.message=this.options.text.message||a.pandalocker.lang.connectButtons.defaultMessage,this.options.text.message=a.pandalocker.tools.normilizeHtmlOption(this.options.text.message))},a.pandalocker.groups["connect-buttons"]=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.actionControl);b.tag='<a href="#"></a>',b.render=function(b){var c=this;this.sdk=this.sdk||this.name,this.control.addClass("onp-sl-button"),this.icon=a("<div class='onp-sl-icon'></div>"),this.icon.appendTo(b),this.container=a("<div class='onp-sl-connect-button onp-sl-social-button-"+this.name+"'></div>"),this.container.appendTo(b),this._hasError()||(this._lockLoadingState(),this.requireSdk(this.sdk,this.options,!1),a.pandalocker.sdk.connect(this.sdk,this.options,function(){c.setupEvents&&c.setupEvents(),c.renderButton(c.container)})),this.handleClick(),this._checkWaitingSubscription()},b.processButtonTitle=function(b,c){var d=b.replace("{long}",a.pandalocker.lang.signin_long);return d=d.replace("{short}",a.pandalocker.lang.signin_short),d=d.replace("{name}",c)},b.handleClick=function(){var a=this;this.control.click(function(){return a.runHook("raw-interaction"),a._hasError()||a._isLoading()?void 0:(a.connect(function(b,c){a.runActions(b,c,!0)}),!1)})},b._lockLoadingState=function(){this._setLoadingState("connect-button")},b._unlockLoadingState=function(){this._removeLoadingState("connect-button")},b._trackWindow=function(a,b){var c=window.open;window.open=function(d,e,f){var g=c(d,e,f);if(!d)return g;if(-1===d.indexOf(a))return g;var h=setInterval(function(){g&&g.closed===!1||(clearInterval(h),b&&b())},300);return g}},b.connect=function(){throw new Error("The control should implement the method 'connect'")},b._getStorageIdentity=function(){return"opanda_"+a.pandalocker.tools.hash(this.name)+"_hash_"+this.name},a.pandalocker.entity.connectButton=b}(jQuery);;
/*!
 * Facebook Connect
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.connectButton);b.name="facebook",b._defaults={},b.prepareOptions=function(){this.permissions=["public_profile","email"],this.restPermissions=this.permissions,this.declinedPermissions=[]},b.renderButton=function(b){var c=this,d=this.processButtonTitle(this.lang.viaSignInLong,a.pandalocker.lang.signin_facebook_name),e=this.processButtonTitle(this.lang.viaSignInShort,a.pandalocker.lang.signin_facebook_name);this.longTitle=a("<span class='onp-sl-long'>"+d+"</span>").appendTo(b),this.shortTtle=a("<span class='onp-sl-short'>"+e+"</span>").appendTo(b);var f=this.groupOptions.loadingTimeout||2e4,g=!1;setTimeout(function(){g||c.showError(a.pandalocker.lang.errors.invlidFacebookAppId)},f),this._getLoginStatus(function(){g=!0,c._unlockLoadingState()})},b.connect=function(b){var c=this;if("connected"===c._status&&!this.restPermissions.length)return this._identify(function(a){b(a,c._serviceData)});var d={scope:c.restPermissions.join(",")};c.declinedPermissions.length>0&&(d.auth_type="rerequest");var e=!1;c._trackWindow("facebook.com/dialog/oauth",function(){setTimeout(function(){e||(c.runHook("raw-social-app-declined"),c.showNotice(a.pandalocker.lang.errors_not_signed_in))},500)}),FB.login(function(d){e=!0,c._checkPermissions(d,function(){return"connected"!==c._status?(c.runHook("raw-social-app-declined"),void c.showNotice(a.pandalocker.lang.errors_not_signed_in)):c.restPermissions.length?(c.runHook("raw-social-app-declined"),void c.showNotice(a.pandalocker.lang.res_errors_not_granted.replace("{permissions}",c.restPermissions.join(", ")))):c._identify(function(a){b(a,c._serviceData)})})},d)},b._getLoginStatus=function(a){var b=this;FB.getLoginStatus(function(c){b._checkPermissions(c,a)})},b._checkPermissions=function(b,c){var d=this;return this._status=b.status,this._serviceData=b,b&&"connected"===this._status?void FB.api("/me/permissions",function(b){if(b&&b.data){if(!b.data[0]||b.data[0].permission||b.data[0].status){var e=a.grep(b.data,function(a){return"granted"!==a.status}),f=a.grep(b.data,function(a){return"granted"==a.status});e=a.map(e,function(a){return a.permission}),f=a.map(f,function(a){return a.permission})}else{var f=[],e=[];for(var g in b.data[0])b.data[0][g]?f.push(g):e.push(g)}d.restPermissions=a.pandalocker.tools.diffArrays(d.permissions,f),d.declinedPermissions=a.pandalocker.tools.unionArrays(d.restPermissions,e),c&&c()}}):void(c&&c())},b._identify=function(a){FB.api("/me",function(b){var c={};return b?(c.email=b.email,c.displayName=b.first_name+" "+b.last_name,c.name=b.first_name,c.family=b.last_name,c.gender=b.gender,c.facebookUrl=b.link,c.image="https://graph.facebook.com/"+b.id+"/picture?type=large",c.social=!0,void a(c)):a(c)})},a.pandalocker.controls["connect-buttons"].facebook=b}(jQuery);;
/*!
 * Facebook Connect
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.connectButton);b.name="google",b.sdk="google-client",b._defaults={},b.prepareOptions=function(){return this.options.clientId?(this.permissions=["https://www.googleapis.com/auth/userinfo.profile"],this.permissions.push("https://www.googleapis.com/auth/userinfo.email"),-1===a.inArray("youtube-subscribe",this.options.actions)||(this.permissions.push("https://www.googleapis.com/auth/youtube"),this.options.youtubeSubscribe&&this.options.youtubeSubscribe.channelId)?(this.restPermissions=this.permissions,void(this.declinedPermissions=[])):this.showError(a.pandalocker.lang.connectButtons.errorYouTubeChannelMissed)):void this.showError(a.pandalocker.lang.connectButtons.google.clientIdMissed)},b.renderButton=function(b){var c=this.processButtonTitle(this.lang.viaSignInLong,a.pandalocker.lang.signin_google_name),d=this.processButtonTitle(this.lang.viaSignInShort,a.pandalocker.lang.signin_google_name);this.longTitle=a("<span class='onp-sl-long'>"+c+"</span>").appendTo(b),this.shortTtle=a("<span class='onp-sl-short'>"+d+"</span>").appendTo(b),this._unlockLoadingState()},b.connect=function(b){var c=this,d=!1,e={callback:function(e){return"immediate_failed"!==e.error?(d=!0,e&&e.status.signed_in?c._identify(function(d,f){return"error"===d?void c.showNotice(a.pandalocker.lang.connectButtons.google.unexpectedError.replace("{0}",f)):void b(f,e)}):(c.runHook("raw-social-app-declined"),void c.showNotice(a.pandalocker.lang.errors_not_signed_in))):void 0}};if(e.clientid=this.options.clientId,e.cookiepolicy="single_host_origin",e.scope=this.permissions.join(" "),this.options.share){var f=a.pandalocker.tools.capitaliseFirstLetter(this.options.share.type||"add");e.requestvisibleactions="http://schema.org/"+f+"Action"}c._trackWindow("google.com/o/oauth2",function(){setTimeout(function(){d||(c.runHook("raw-social-app-declined"),c.showNotice(a.pandalocker.lang.errors_not_signed_in))},500)}),gapi.auth.signIn(e)},b._identify=function(a){gapi.client.load("plus","v1").then(function(){gapi.client.plus.people.get({userId:"me"}).then(function(b){var c={};return b&&b.result?(c.email=b.result.emails&&b.result.emails[0]&&b.result.emails[0].value,c.displayName=b.result.displayName,c.name=b.result.name&&b.result.name.givenName,c.family=b.result.name&&b.result.name.familyName,c.gender=b.result.gender,c.googleUrl=b.result.url,c.social=!0,b.result.image&&b.result.image.url&&(c.image=b.result.image.url.replace(/\?sz=\d+/gi,"")),void a("success",c)):a("error",c)},function(b){a("error",b.result.error.message)})})},b.runYoutubeSubscribeAction=function(a,b,c,d,e){var f=this;gapi.client.load("youtube","v3",function(){var a=gapi.client.youtube.subscriptions.insert({part:"snippet",resource:{snippet:{resourceId:{kind:"youtube#channel",channelId:f.options.youtubeSubscribe.channelId}}}});a.execute(function(a){return a&&a.error?a.error.data&&a.error.data[0]&&"subscriptionDuplicate"===a.error.data[0].reason?void e():(console&&console.log&&console.log(a),f.showError(a.error.message),void e("error")):(f.runHook("got-youtube-subscriber",[a]),void e())})})},a.pandalocker.controls["connect-buttons"].google=b}(jQuery);;
/*!
 * Facebook Twitter
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.connectButton);b.name="twitter",b._defaults={},b.prepareOptions=function(){return this.options.proxy?-1===a.inArray("follow",this.options.actions)||this.options.follow&&this.options.follow.user?-1===a.inArray("tweet",this.options.actions)||this.options.tweet&&this.options.tweet.message?void 0:this.showError(a.pandalocker.lang.connectButtons.errorTwitterMessageMissed):this.showError(a.pandalocker.lang.connectButtons.errorTwitterUserMissed):void this.showError(a.pandalocker.lang.connectButtons.twitter.proxyEmpty)},b.renderButton=function(b){var c=this,d=this.processButtonTitle(this.lang.viaSignInLong,a.pandalocker.lang.signin_twitter_name),e=this.processButtonTitle(this.lang.viaSignInShort,a.pandalocker.lang.signin_twitter_name);this.longTitle=a("<span class='onp-sl-long'>"+d+"</span>").appendTo(b),this.shortTtle=a("<span class='onp-sl-short'>"+e+"</span>").appendTo(b),c._unlockLoadingState()},b.connect=function(b){var c=this;if(a.pandalocker.data.twitterOAuthReady)this._identify(function(a){b(a,c._getServiceData())});else{var d={opandaHandler:"twitter",opandaRequestType:"init",opandaTwitterOptions:JSON.stringify(c.options)},e=a.pandalocker.tools.cookie("opanda_visitor_id");e&&"null"!==e&&(d.opandaVisitorId=e);var f=c.options.proxy;for(var g in d)d.hasOwnProperty(g)&&(f=a.pandalocker.tools.updateQueryStringParameter(f,g,d[g]));c._trackWindow("opandaHandler=twitter",function(){setTimeout(function(){a.pandalocker.data.twitterOAuthReady||(c.runHook("raw-social-app-declined"),c.showNotice(a.pandalocker.lang.errors_not_signed_in))},500)});{window.open(f,"Twitter Sign-In","width=500,height=450,resizable=yes,scrollbars=yes,status=yes")}window.OPanda_TwitterOAuthCompleted=function(d){a.pandalocker.data.twitterOAuthReady=!0,c._saveVisitorId(d),c.connect(b)},window.OPanda_TwitterOAuthDenied=function(b){c.runHook("raw-social-app-declined"),c.showNotice(a.pandalocker.lang.errors_not_signed_in),c._saveVisitorId(b)}}},b._saveVisitorId=function(b){this._visitorId=b,a.pandalocker.tools.cookie("onp_sl_visitor_id",b,{expires:1e3,path:"/"})},b._getServiceData=function(){var a=this;return{visitorId:a._visitorId}},b._identify=function(b){var c=this,d=a.ajax({type:"POST",dataType:"json",url:c.options.proxy,data:{opandaHandler:"twitter",opandaRequestType:"user_info",opandaVisitorId:c._visitorId},success:function(a){var c={};if(!a)return b(c);if(a.name){var d=a.name.split(" ",2);2===d.length?(c.name=d[0],c.family=d[1]):c.name=a.name}else c.name=a.name;c.email=a.email,c.displayName=a.screen_name,c.twitterUrl="https://twitter.com/"+a.screen_name,a.profile_image_url&&(c.image=a.profile_image_url.replace("_normal","")),b(c)},error:function(){console&&console.log&&console.log("Unable to get the user data: "+d.responseText),b({})}})},b.runFollowAction=function(b,c,d,e,f){var g=this,h={opandaHandler:"twitter",opandaRequestType:"follow",opandaVisitorId:g._visitorId,opandaFollowTo:d.user,opandaNotifications:d.notifications};h=a.pandalocker.filters.run(g.locker.id+".ajax-data",[h]),h=a.pandalocker.filters.run(g.locker.id+".twitter-follow.ajax-data",[h]);var i=a.ajax({type:"POST",dataType:"json",url:g.options.proxy,data:h});i.success(function(a){return a&&a.error?(g.showScreen("default"),void g.showNotice("Unable to perform the follow action due to the error: "+a.error)):void f()}),i.error(function(){g.showScreen("default"),g.showNotice("Unable to perform the follow action due to the unexpected error. See the logs for more details."),console&&console.log&&console.log("Unable to follow: "+i.responseText)})},b.runTweetAction=function(b,c,d,e,f){var g=this,h={opandaHandler:"twitter",opandaRequestType:"tweet",opandaVisitorId:g._visitorId,opandaTweetMessage:d.message};h=a.pandalocker.filters.run(g.locker.id+".ajax-data",[h]),h=a.pandalocker.filters.run(g.locker.id+".twitter-tweet.ajax-data",[h]);var i=a.ajax({type:"POST",dataType:"json",url:g.options.proxy,data:h});i.success(function(a){return a&&a.error?(g.showScreen("default"),void g.showNotice("Unable to perform the tweet action due to the error: "+a.error)):void f()}),i.error(function(){g.showScreen("default"),g.showNotice("Unable to perform the tweet action due to the unexpected error. See the logs for more details."),console&&console.log&&console.log("Unable to follow: "+i.responseText)})},a.pandalocker.controls["connect-buttons"].twitter=b}(jQuery);;
/*!
 * Facebook LinkedIn
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.connectButton);b.name="linkedin",b.sdk="linkedin-connect",b._defaults={},b.prepareOptions=function(){return this.options.apiKey?-1===a.inArray("follow",this.options.actions)||this.options.follow&&this.options.follow.company?void 0:this.showError(a.pandalocker.lang.connectButtons.errorLinkedInCompanyMissed):void this.showError(a.pandalocker.lang.connectButtons.linkedin.apiKeyMissed)},b.renderButton=function(b){var c=this,d=this.processButtonTitle(this.lang.viaSignInLong,a.pandalocker.lang.signin_linkedin_name),e=this.processButtonTitle(this.lang.viaSignInShort,a.pandalocker.lang.signin_linkedin_name);this.longTitle=a("<span class='onp-sl-long'>"+d+"</span>").appendTo(b),this.shortTtle=a("<span class='onp-sl-short'>"+e+"</span>").appendTo(b),this.permissions=["first-name","last-name","email-address","public-profile-url","picture-urls::(original)"];var f=this.groupOptions.loadingTimeout||2e4,g=setInterval(function(){return f-=300,IN.User?(c._unlockLoadingState(),void clearInterval(g)):0>=f?void c.showError(a.pandalocker.lang.connectButtons.linkedin.apiKeyInvalid):void 0},300)},b.connect=function(b){var c=this,d=!1;return IN.User.isAuthorized()?c._identify(function(a){b(a,c._serviceData)}):(c._trackWindow("linkedin.com",function(){setTimeout(function(){d||(c.runHook("raw-social-app-declined"),c.showNotice(a.pandalocker.lang.errors_not_signed_in))},500)}),IN.Event.on(IN,"auth",function(){return d=!0,c._identify(function(a){b(a,c._serviceData)})}),void IN.UI.Authorize().place())},b._identify=function(a){IN.API.Profile("me").fields(this.permissions.join(",")).result(function(b){var c={};return b&&b.values[0]?(c.email=b.values[0].emailAddress,c.displayName=b.values[0].firstName+" "+b.values[0].lastName,c.name=b.values[0].firstName,c.family=b.values[0].lastName,c.linkedinUrl=b.values[0].publicProfileUrl,c.social=!0,b.values[0].pictureUrls&&b.values[0].pictureUrls.values&&(c.image=b.values[0].pictureUrls.values[0]),void a(c)):a(c)})},b.runFollowAction=function(b,c,d,e,f){var g=this,h=function(a){IN.API.Raw("/people/~/following/companies").method("POST").body('{"id":'+a+"}").result(function(){g.runHook("got-linkedin-follower"),f()}).error(function(a){console&&console.log&&console.log(a),f("error"),f()})};"string"==typeof d.company?IN.API.Raw("/companies/universal-name="+d.company).result(function(a){h(a.id)}).error(function(b){console&&console.log&&console.log(b),g.showError(a.pandalocker.lang.connectButtons.errorLinkedInCompanyNotFound.replace("{0}",d.company)),f("error")}):h(d.company)},a.pandalocker.controls["connect-buttons"].linkedin=b}(jQuery);;
/*!
 * Google Client SDK
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.googleClient=a.pandalocker.sdk.googleClient||{name:"google-client",url:"//apis.google.com/js/client:platform.js?onload=OPanda_GoogleClient_Callback",scriptId:"google-client-jssdk",timeout:1e4,isLoaded:function(){return window.gapi&&"object"==typeof window.gapi.auth},prepare:function(){window.OPanda_GoogleClient_Callback=function(){a(document).trigger(this.name+"-script-loaded")}}}}(jQuery);;
/*!
 * LinkedIn SDK Connector
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.onepress||(a.onepress={}),a.pandalocker.sdk||(a.pandalocker.sdk={}),a.pandalocker.sdk.linkedinConnect=a.pandalocker.sdk.linkedinConnect||{name:"linkedin-connect",url:"//platform.linkedin.com/in.js?async=true",scriptId:"linkedin-jssdk",timeout:1e4,isLoaded:function(){return"object"==typeof window.IN},prepare:function(){window.OPanda_LinkedinShare_Callback=function(b){a(document).trigger("onp-sl-linkedin-share",[b])}},createEvents:function(){var b=this,c=this.isLoaded(),d=function(){window.IN.init({api_key:b.options.apiKey}),window.IN.init=function(){},a(document).trigger(b.name+"-init")};return c?void d():void a(document).bind(b.name+"-script-loaded",function(){d()})}}}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.group);b._defaults={order:["form"],text:a.pandalocker.lang.subscription.defaultText,separator:{type:"hiding-link",title:a.pandalocker.lang.misc_or_enter_email}},b.name="subscription",a.pandalocker.groups.subscription=b}(jQuery);;
!function(a){"use strict";var b=a.pandalocker.tools.extend(a.pandalocker.entity.actionControl);b.name="form",b._defaults={requireName:!1},b.setup=function(){this.options.actions&&0!==this.options.actions.length||(this.options.actions=["subscribe"]),a.pandalocker.entity.actionControl.setup.apply(this),this.options.requireName=this.options.requireName||this.options.subscribe&&this.options.subscribe.requireName},b._setupEvents=function(){var b=this;b.control.find(".onp-sl-submit").click(function(){var c=a(this),d=c.text();if(!c.hasClass("load")){var e={};if(e._catcher||(e._catcher="form"),e.email=a.trim(b.control.find("#onp-sl-input-email").val()),e.name=b.options.requireName?a.trim(b.control.find("#onp-sl-input-name").val()):!1,b._memorize("email",e.email),b.options.requireName&&e.name&&b._memorize("name",e.name),!e.email||!e.email.length)return void b.showNotice(a.pandalocker.lang.errors_empty_email);if(!a.pandalocker.tools.isValidEmailAddress(e.email))return void b.showNotice(a.pandalocker.lang.errors_inorrect_email);if(b.options.requireName){if(!e.name||!e.name.length)return void b.showNotice(a.pandalocker.lang.errors_empty_name);var f=e.name.split(" ",2);2==f.length&&(e.name=a.trim(f[0]),e.family=a.trim(f[1]))}c.addClass("load").prop("disabled",!0),c.html("&nbsp;");var g=b.runActions(e,{});g.fail(function(){c.removeClass("load").removeProp("disabled"),c.text(d)})}})},b._memorize=function(b,c){var d="opanda_"+b;if(localStorage&&localStorage.setItem)try{localStorage.setItem(d,c)}catch(e){a.pandalocker.tools.cookie(d,c,{expires:365,path:"/"})}else a.pandalocker.tools.cookie(d,c,{expires:365,path:"/"})},b._getFromMemory=function(b){var c="opanda_"+b,d=localStorage&&localStorage.getItem&&localStorage.getItem(c);return d||(d=a.pandalocker.tools.cookie(c)),d},b.render=function(b){var c=this,d={};this.options.requireName&&(d.name={name:"name",type:"text",placeholder:a.pandalocker.lang.misc_enter_your_name});var e=this.options.buttonText||this.groupOptions.text.buttonText||this.lang.btnSubscribe,f=a.pandalocker.tools.normilizeHtmlOption(this.options.noSpamText||this.groupOptions.text.noSpamText||a.pandalocker.lang.noSpam);d.email={name:"email",type:"text",placeholder:a.pandalocker.lang.misc_enter_your_email},d.submit={name:"submit",type:"submit",title:e};var g=this._getFromMemory("email");if(g&&(d.email.value=g),this.options.requireName){var h=this._getFromMemory("name");h&&(d.name.value=h)}for(var i in d){var j=d[i].type,k=d[i].title,l=d[i].value||this.options.fields&&this.options.fields[i]&&this.options.fields[i].value,m=a("<div></div>").addClass("onp-sl-field").addClass("onp-sl-field-"+i).addClass("onp-sl-field-type-"+j);if("text"===j||"email"===j){var n=a("<input type='"+j+"' name='"+i+"' class='onp-sl-input' id='onp-sl-input-"+i+"' />");d[i].placeholder&&n.attr("placeholder",d[i].placeholder),l&&n.attr("value",l),n.appendTo(m),n.keypress(function(a){13===a.which&&c.control.find(".onp-sl-submit").click()})}if("submit"===j){var n=a("<button class='onp-sl-button onp-sl-form-button onp-sl-submit'>"+k+"</button>");this.group.isFirst&&n.addClass("onp-sl-button-primary"),n.appendTo(m)}m.appendTo(b)}f.addClass("onp-sl-note").addClass("onp-sl-nospa"),f.appendTo(m),this._setupEvents(),this._checkWaitingSubscription()},b._getStorageIdentity=function(){return"opanda_"+a.pandalocker.tools.hash(this.options.listId+this.options.service)+"_hash_"+this.name},a.pandalocker.controls.subscription.form=b}(jQuery);;
/*!
 * Panda Lockers
 * Copyright 2014, OnePress, http://byonepress.com
*/
!function(a){"use strict";a.fn.pandalocker||a.pandalocker.widget("pandalocker",{options:{},_isLocked:!1,_defaults:{text:{header:null,message:null,footer:null},theme:{name:"starter"},lang:"en_US",groups:{order:["social-buttons"],union:"or"},terms:!1,privacyPolicy:!1,connectButtons:{},socialButtons:{},overlap:{mode:"full",position:"middle",intensity:5,altMode:"transparence"},cssClass:null,demo:!1,highlight:!0,googleAnalytics:!1,locker:{off:!1,stepByStep:!1,close:!1,timer:0,mobile:!0,expires:!1,useCookies:!1,scope:!1,loadingTimeout:1e4,tumbler:!0,tumblerInterval:500,naMode:"show-error"},subscribeActionOptions:{},content:null},getState:function(){return this._isLocked?"locked":"unlocked"},_create:function(){var a=this;this.id=this.options.id||this._generteId(),this._prepareOptions(),this._setupVariables(),this._initExtras(),this._initHooks(),this._initGroups(),this._initScreens(),this._canLock()&&this.requestState(function(b){"locked"===b?a._lock():a._unlock("provider")})},_generteId:function(){for(var a="",b="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",c=0;5>c;c++)a+=b.charAt(Math.floor(Math.random()*b.length));return a},_prepareOptions:function(){var b=this,c=a.extend(!0,{},this._defaults);c=this.applyFilters("filter-default-options",c),this.options.theme&&!a.isPlainObject(this.options.theme)&&(this.options.theme={name:b.options.theme}),"object"!=typeof this.options.theme&&(this.options.theme={name:b.options.theme});var d=this.options.theme.name||this._defaults.theme;a.pandalocker.themes[d]&&(c=a.extend(!0,{},c,a.pandalocker.themes[d]));var e=a.extend(!0,c,this.options);a.isArray(e.groups)&&(e.groups=a.extend(!0,{},c.groups,{order:e.groups})),e.locker.timer=parseInt(e.locker.timer),0===e.locker.timer&&(e.locker.timer=null),this.options=this.applyFilters("filter-options",e),"blurring"!==this.options.overlap.mode||a.pandalocker.tools.supportBlurring()||(this.options.overlap.mode=this.options.overlap.altMode)},_setupVariables:function(){if(this.style="onp-sl-"+this.options.theme.name,this.overlap="full"===this.options.overlap.mode?!1:this.options.overlap.mode,this.groupUnion=this.options.groups.union,this.options.groups.order.length>0)switch(this.options.groups.order[0]){case"connect-buttons":this.langScope="signinLocker";break;case"subscription":this.langScope="emailLocker";break;default:this.langScope="socialLocker"}this.lang=a.pandalocker.lang.scopes[this.langScope]},_initExtras:function(){for(var b in a.pandalocker.extras)a.pandalocker.extras.hasOwnProperty(b)&&a.pandalocker.extras[b].init&&a.pandalocker.extras[b].init.apply(this)},_initHooks:function(){var a=this,b=!1,c=!1,d=!1,e=!1;this.addHook("raw-interaction",function(){e&&(b||(b=!0,a.runHook("interaction")))}),this.addHook("raw-error",function(){e&&(c||(c=!0,a.runHook("error")))}),this.addHook("raw-impress",function(){"default"===a._currentScreenName&&(e=!0,a.runHook("impress"))}),this.addHook("raw-social-app-declined",function(){e&&(d||(d=!0,a.runHook("social-app-declined")))})},_initGroups:function(){this._groups=[];for(var b=0;b<this.options.groups.order.length;b++){var c=this.options.groups.order[b],d=a.pandalocker.tools.camelCase(c),e=this.options[d]||{};if(0==b&&(e.text=this.options.text),!a.pandalocker.groups[c])return void this._showError("core",'The control group "'+c+'" not found.');var f=a.pandalocker.tools.extend(a.pandalocker.groups[c]);e.index=parseInt(b)+1,f.init(this,e),this._groups[b]=f}},_canLock:function(){if(a.pandalocker.browser.msie&&7===parseInt(a.pandalocker.browser.version,10))return this._unlock("ie7"),!1;if(!this.options.locker.mobile&&a.pandalocker.tools.isMobile())return this._unlock("mobile"),!1;for(var b=0,c=0;c<this._groups.length;c++)if("string"==typeof groupName&&!this._groups[c].canLock()){if("or"===this.groupUnion)return this._unlock("group"),!1;b++}return b===this._groups.length?(this._unlock("group"),!1):!0},requestState:function(a){var b=this,c=function(a){for(var c=b._groups.length,d="locked",e=0;e<b._groups.length;e++)b._groups[e].requestState(function(b){c--,"unlocked"===b&&(d=b),0>=c&&a(d)})},d=[];d=this.applyFilters("functions-requesting-state",d),d.push(c);var e=function(){var b=d.shift();return b?void b(function(b){return"unlocked"===b?a(b):void e()}):a("locked")};e()},setState:function(a,b,c){this.runHook("state-changed",[a,b,c])},_getStateStorage:function(){return this._stateStorage?this._stateStorage:(this._stateStorage=this.applyFilters("get-default-state-storage",new a.pandalocker.storages.defaultStateStorage(this)),this._stateStorage)},_showError:function(a,b){this._error=!0,this._errorText=b,this.locker&&this.locker.hide(),this.element.html("<strong>[Error]: "+b+"</strong>"),this.element.show().addClass("onp-sl-locker-error"),this.runHook("size-changed")},addHook:function(b,c,d,e){a.pandalocker.hooks.add(this.id+"."+b,c,d),e&&a.pandalocker.hooks.add(b,c,d)},runHook:function(b,c,d){c||(c=[]),c.unshift(this),a.pandalocker.hooks.run(this.id+"."+b,c),d&&a.pandalocker.hooks.run(b,c),this.element.trigger("opanda-"+b,c)},addFilter:function(b,c,d){a.pandalocker.filters.add(this.id+"."+b,c,d)},applyFilters:function(b,c,d,e){d||(d=[]),a.isArray(d)||(d=[d]),d.unshift(this),d.unshift(c);var f=a.pandalocker.filters.run(this.id+"."+b,d);return d[0]=f,e&&(f=a.pandalocker.filters.run(b,d)),f},screens:{},_screenFactory:{},_showScreen:function(b,c){if(!this._screenFactory[b]&&!this.screens[b])throw new a.pandalocker.error('The screen "'+b+'" not found in the group "'+this.name+'"');var d=this;if(this._currentScreenName=b,this.innerWrap.find(".onp-sl-screen").hide(),this.screens[b])return this.screens[b].show(),void d.runHook("size-changed");var e=a("<div class='onp-sl-screen onp-sl-non-default-screen onp-sl-screen-"+b+"'></div>").appendTo(this.innerWrap).hide();this.screens[b]=this._screenFactory[b](e,c),e.fadeIn(300,function(){d.runHook("size-changed")})},_registerScreen:function(a,b){this._screenFactory[a]=b},_initScreens:function(){var b=this;this._currentScreenName="default",this._registerScreen("enter-email",function(b,c){var d=a('<div class="onp-sl-text"></div>');if(b.append(d),c.header){var e=a('<div class="onp-sl-header onp-sl-strong">'+c.header+"</div>");d.append(e)}if(c.message){var f=a('<div class="onp-sl-message">'+c.message+"</div>");d.append(f)}var g=a('<div class="onp-sl-control"></div>');b.append(g);var h={};h.email={name:"email",type:"text",placeholder:a.pandalocker.lang.misc_enter_your_email},h.submit={name:"submit",type:"submit",title:c.buttonTitle};for(var i in h){var j=h[i].type,k=h[i].title,l=h[i].value||c.fields&&c.fields[i]&&c.fields[i].value,m=a("<div></div>").addClass("onp-sl-field").addClass("onp-sl-field-"+i).addClass("onp-sl-field-type-"+j);if("text"===j||"email"===j){var n=a("<input type='"+j+"' name='"+i+"' class='onp-sl-input' id='onp-sl-input-"+i+"' />");h[i].placeholder&&n.attr("placeholder",h[i].placeholder),l&&n.attr("value",l),n.appendTo(m)}if("submit"===j){var n=a("<button class='onp-sl-button onp-sl-form-button onp-sl-submit'>"+k+"</button>");n.addClass("onp-sl-button-primary"),n.appendTo(m)}m.appendTo(g)}if(c.note){var o=a("<div class='onp-sl-note onp-sl-nospam'></div>").html(c.note);o.appendTo(m)}b.find(".onp-sl-submit").click(function(){var d=function(c,d){b.find(".onp-sl-group-notice").remove();var e=a("<div class='onp-sl-group-notice'>"+c+"</div>").hide();b.append(e),e.fadeIn(500),d||(d=7e3),setTimeout(function(){e.length&&e.fadeOut(800,function(){e.remove()})},d)},e=(a(this),a.trim(b.find("#onp-sl-input-email").val()));return e&&e.length?a.pandalocker.tools.isValidEmailAddress(e)?void(c.callback&&c.callback(e)):void d(a.pandalocker.lang.errors_inorrect_email):void d(a.pandalocker.lang.errors_empty_email)})}),this._registerScreen("data-processing",function(b){b.append(a("<div class='onp-sl-process-spin'></div>")),b.append(a("<div class='onp-sl-processing-sreen-text'>"+a.pandalocker.lang.misc_data_processin+"</div>"))}),this._registerScreen("email-confirmation",function(c,d){var e=a('<div class="onp-sl-screen-message"></div>'),f=a("<div class='onp-sl-header'></div>").html(a.pandalocker.lang.confirm_screen_title),g=a("<div class='onp-sl-message'></div>"),h=a("<p></p>").html(a.pandalocker.lang.confirm_screen_instructiont.replace("{email}","<strong>"+d.email+'</strong> <a href="#" class="onp-sl-cancel">'+a.pandalocker.lang.confirm_screen_cancel+"</a>")),i=a('<p class="onp-sl-highlight"></p>').html(a.pandalocker.lang.confirm_screen_note1),j=a('<p class="onp-sl-note"></p>').html(a.pandalocker.lang.confirm_screen_note2),k=h.find(".onp-sl-cancel");k.click(function(){return d.service.cancel(),b._showScreen("default"),!1}),g.append(h),g.append(i),e.append(f),e.append(g),c.append(e);var l=d.email.split("@"),m=null;if(l[1].indexOf("gmail")>=0?m={url:"https://mail.google.com/mail/?tab=wm",icon:"0px 0px",title:"Gmail"}:l[1].indexOf("yahoo")>=0?m={url:"https://mail.yahoo.com/",icon:"0px -70px",title:"Yahoo!"}:l[1].indexOf("hotmail")>=0?m={url:"https://hotmail.com.com/",icon:" 0px -140px",title:"Hotmail"}:l[1].indexOf("outlook")>=0&&(m={url:"http://www.outlook.com/",icon:" 0px -140px",title:"Outlook"}),m){var n=a('<a class="onp-sl-button onp-sl-form-button onp-sl-form-button-sm onp-sl-open"></a>').html(a.pandalocker.lang.confirm_screen_open.replace("{service}",m.title));if(n.attr("href",m.url),n.attr("target","_blank"),m.icon){n.addClass("onp-sl-has-icon");var o=a('<i class="onp-sl-icon"></i>').prependTo(n);o.css("background-position",m.icon)}var p=a("<div class='onp-sl-open-button-wrap'></div>");p.append(n),c.append(p)}c.append(j)})},_lock:function(){var a=this;this._isLocked||(this._markupIsCreated||this._createMarkup(),this.overlap?(this.overlapLockerBox.fadeIn(1e3,function(){a._updateLockerPosition()}),a._updateLockerPosition()):(this.element.hide(),this.locker.fadeIn(1e3)),this._isLocked=!0,this.runHook("lock"),this.runHook("locked"),setTimeout(function(){a._startTrackVisability()},1500))},_unlock:function(a,b,c){if(!this.options.locker.off){if(!this._isLocked)return this._showContent("button"!==a),!1;this._showContent(!0),this._isLocked=!1,this.runHook("unlock",[a,b,c]),this.runHook("unlocked",[a,b,c])}},lock:function(a){this._lock(a||"api")},unlock:function(a,b,c){this._unlock(a||"api",b,c)},_createMarkup:function(){var b=this;this._loadFonts();var c=this.element.parent().is("a")?this.element.parent():this.element;c.addClass("onp-sl-content");var d=a.pandalocker.browser.mozilla&&"mozilla"||a.pandalocker.browser.opera&&"opera"||a.pandalocker.browser.webkit&&"webkit"||"msie";this.locker=a("<div class='onp-sl onp-sl-"+d+"'></div>"),this.outerWrap=a("<div class='onp-sl-outer-wrap'></div>").appendTo(this.locker),this.innerWrap=a("<div class='onp-sl-inner-wrap'></div>").appendTo(this.outerWrap);var e=a("<div class='onp-sl-screen onp-sl-screen-default'></div>").appendTo(this.innerWrap);this.screens["default"]=this.defaultScreen=e,this.locker.addClass(this.style),this.locker.addClass("onp-sl-"+this.options.groups.order[0]+"-frist"),this.locker.addClass(1===this.options.groups.order.length?"onp-sl-contains-single-group":"onp-sl-contains-many-groups");for(var f=0;f<this.options.groups.order.length;f++)this.locker.addClass("onp-sl-"+this.options.groups.order[f]+"-enabled");this.locker.addClass(a.pandalocker.isTouch()?"onp-sl-touch":"onp-sl-no-touch"),this.options.cssClass&&this.locker.addClass(this.options.cssClass);for(var g=0;g<this._groups.length;g++)this._groups[g].renderGroup(e);if((this.options.terms||this.options.privacyPolicy)&&this._createTerms(),this.options.locker.close&&this._createClosingCross(),this.options.locker.timer&&this._createTimer(),this.overlap){c.addClass("onp-sl-overlap-mode");var h=this.element.css("display"),i=c;if("blurring"===this.overlap||c.is("img")||c.is("iframe")||c.is("object")||"block"!==h&&"inline-block"!==h){i=a('<div class="onp-sl-content-wrap"></div>'),i.insertAfter(c),i.append(c);var j=c.css("margin");i.css({margin:j}),c.css({margin:"0"}),b.addHook("unlock",function(){i.css({margin:j})})}c.show(),this.element.show(),"blurring"===this.overlap&&(this.blurArea=a("<div class='onp-sl-blur-area'></div>"),this.blurArea.insertAfter(c),this.blurArea.append(c),c=this.blurArea);var k=i.css("position");"static"===k&&i.css("position","relative");var l=c.is("iframe")&&c||c.find("iframe");1===l.length&&"absolute"===l.css("position")&&(i.css({position:"absolute",width:"100%",height:"100%",top:l.css("top"),left:l.css("left"),right:l.css("right"),bottom:l.css("bottom"),margin:l.css("margin")}),l.css({top:0,left:0,right:0,bottom:0,margin:"auto"})),this.overlapLockerBox=a("<div class='onp-sl-overlap-locker-box'></div>").hide(),this.overlapLockerBox.addClass("onp-sl-position-"+this.options.overlap.position),this.overlapLockerBox.append(this.locker),this.overlapBox=a("<div class='onp-sl-overlap-box'></div>"),this.overlapBox.append(this.overlapLockerBox),this.overlapBox.addClass("onp-sl-"+this.overlap+"-mode"),this.overlapBox.addClass(this.style+"-theme");var m=a("<div class='onp-sl-overlap-background'></div>");if(this.overlapBox.append(m),i.append(this.overlapBox),this.containerToTrackSize=i,"blurring"===this.overlap){var n=this.options.overlap&&this.options.overlap.intensity||5;this.blurArea=this.blurArea.Vague({intensity:n,forceSVGUrl:!1}),this.blurArea.blur()}a(window).resize(function(){b._updateLockerPosition()}),this.addHook("size-changed",function(){b._updateLockerPosition()}),"scroll"===this.options.overlap.position&&a(window).scroll(function(){b._updateLockerPositionOnScrolling()})}else this.locker.hide(),this.locker.insertAfter(c);this._markupIsCreated=!0,this.runHook("markup-created"),this.locker.click(function(){b.runHook("raw-interaction")})},_loadFonts:function(){if(this.options.theme.fonts&&this.options.theme.fonts.length)for(var b="http://fonts.googleapis.com/css",c=0;c<this.options.theme.fonts.length;c++){var d=this.options.theme.fonts[c],e=d.name;d.styles&&d.styles.length&&(e=e+":"+d.styles.join(","));var f=a.pandalocker.tools.updateQueryStringParameter(b,"family",e);d.subset&&d.subset.length&&(f=a.pandalocker.tools.updateQueryStringParameter(f,"subset",d.subset.join(",")));var g=a.pandalocker.tools.hash(f);a("#onp-sl-font-"+g).length>0||a('<link id="onp-sl-font-'+g+'" rel="stylesheet" type="text/css" href="'+f+'" >').appendTo("head")}},_updateLockerPosition:function(){if(this.overlap){var a=this.containerToTrackSize.outerHeight();"undefined"==typeof this.contentMinTopMargin&&(this.contentMinTopMargin=parseInt(this.containerToTrackSize.css("marginTop"))),"undefined"==typeof this.contentMinBottomMargin&&(this.contentMinBottomMargin=parseInt(this.containerToTrackSize.css("marginBottom")));var b=this.locker.outerHeight();if(b>a){var c=parseInt((b-a)/2)+20,d=this.contentMinTopMargin<c?c:this.contentMinTopMargin,e=this.contentMinBottomMargin<c?c:this.contentMinBottomMargin;this.containerToTrackSize.css({marginTop:d+"px",marginBottom:e+"px"})}if("top"===this.options.overlap.position||"scroll"===this.options.overlap.position){var f=this.overlapBox.outerWidth(),g=this.locker.outerWidth(),h=this.overlapBox.outerHeight(),i=this.options.overlap.offset;if(!i){var i=Math.floor((f-g)/2);10>=i&&(i=10)}if(2*i+b>h)var i=Math.floor((h-b)/2);this.overlapLockerBox.css("marginTop",i+"px"),"scroll"===this.options.overlap.position&&(this._baseOffset=i,this._updateLockerPositionOnScrolling())}return"middle"===this.options.overlap.position?void this.overlapLockerBox.css("marginTop","-"+Math.floor(this.overlapLockerBox.innerHeight()/2)+"px"):void 0}},_updateLockerPositionOnScrolling:function(){var b=this.overlapBox.offset(),c=b.top,d=b.left,e=b.top+this.overlapBox.outerHeight(),f=this.overlapBox.outerWidth(),g=this.overlapBox.outerHeight(),h=this.locker.outerHeight();if(!(2*this._baseBoxOffset+h+10>=g)){var i=a(document).scrollTop(),j=20;return i+h+2*this._baseOffset+j>e?void this.overlapLockerBox.css("position","absolute").css("top","auto").css("left","0px").css("width","auto").css("bottom",this._baseOffset+"px").css("margin-top","0px"):i+j>c?void this.overlapLockerBox.css("position","fixed").css("top",this._baseOffset+j+"px").css("left",d+"px").css("width",f+"px").css("bottom","auto").css("margin-top","0px"):void this.overlapLockerBox.css("position","absolute").css("top","0px").css("left","0px").css("bottom","auto").css("width","auto").css("margin-top",this._baseOffset+"px")}},_startTrackVisability:function(){var b=this,c=this.locker[0];c.getBoundingClientRect||this.runHook("raw-impress");var d=a(window).height(),e=a(window).width(),f=function(){if(!c)return void b._stopTrackVisability();var a=c.getBoundingClientRect(),f=a.height/2,g=a.width/2;a.top+f>0&&a.bottom-f<=d&&a.left+g&&a.right-g<=e&&(b.runHook("raw-impress"),b._stopTrackVisability())};a(window).bind("resize.visability.opanda",function(){d=a(window).height(),e=a(window).width()}),a(window).bind("resize.visability.opanda scroll.visability.opanda",function(){f()}),f()},_stopTrackVisability:function(){a(window).unbind(".visability.opanda")},_createClosingCross:function(){var b=this;a("<div class='onp-sl-cross' title='"+a.pandalocker.lang.misc_close+"' />").prependTo(this.locker).click(function(){b.close&&b.close(b)||b._unlock("cross",!0)})},_createTimer:function(){this.timer=a("<span class='onp-sl-timer'></span>");var b=a.pandalocker.lang.misc_or_wait;b=b.replace("{timer}",a("<span class='onp-sl-timer-counter'>"+this.options.locker.timer+"</span>")[0].outerHTML),this.timerLabel=a("<span class='onp-sl-timer-label'></span>").html(b).appendTo(this.timer),this.timerCounter=this.timerLabel.find(".onp-sl-timer-counter"),this.timer.appendTo(this.locker),this.counter=this.options.locker.timer,this._kickTimer()},_kickTimer:function(){var b=this;setTimeout(function(){if(b._isLocked)if(b.counter--,b.counter<=0)b._unlock("timer");else{if(b.timerCounter.text(b.counter),a.pandalocker.browser.opera){var c=b.timerCounter.clone();c.insertAfter(b.timerCounter),b.timerCounter.remove(),b.timerCounter=c}b._kickTimer()}},1e3)},_createTerms:function(){this.locker.addClass("onp-sl-has-terms"),this.terms=a("<div class='onp-sl-terms'></div>").appendTo(this.defaultScreen),this.termsInnerWrap=a("<div class='onp-sl-terms-inner-wrap'></div>").appendTo(this.terms);var b=a.pandalocker.lang.misc_your_agree_with,c="";this.options.terms&&(c=a("<a target='_black'>"+a.pandalocker.lang.misc_terms_of_use+"</a>").attr("href",this.options.terms)[0].outerHTML),this.options.privacyPolicy&&(this.options.terms&&(c+=", "),c+=a("<a target='_black'>"+a.pandalocker.lang.misc_privacy_policy+"</a>").attr("href",this.options.privacyPolicy)[0].outerHTML),c&&(b=b.replace("{links}",c)),this.termsInnerWrap.html(b)},_showContent:function(b){var c=this;this.runHook("before-show-content");var d=function(){c.overlap?(c.overlapBox&&c.overlapBox.hide(),c.blurArea&&c.blurArea.unblur()):c.locker&&c.locker.hide(),c.locker&&c.locker.hide(),b?c.element.fadeIn(1e3,function(){c.options.highlight&&c.element.effect&&c.element.effect("highlight",{color:"#fffbcc"},800)}):c.element.show(),c.runHook("after-show-content")};if(this.options.content)if("string"==typeof this.options.content)this.element.html(this.options.content),d();else if("object"!=typeof this.options.content||this.options.content.url)if("object"==typeof this.options.content&&this.options.content.url){var e=a.extend(!0,{},this.options.content),f=e.success,g=e.complete,h=e.error;e.success=function(a,b,e){f?f(c,a,b,e):c.element.html(a),d()},e.error=function(a,b,d){c._showError("ajax","An error is triggered during the ajax request! Text: "+b+" "+d),h&&h(a,b,d)},e.complete=function(a,b){g&&g(a,b)},a.ajax(e)}else d();else this.element.append(this.options.content.clone().show()),d();else d()}})}(jQuery);
            
(function($){
    if ( !window.bizpanda ) window.bizpanda = {};
    if ( !window.bizpanda.lockerOptions ) window.bizpanda.lockerOptions = {};
    
    window.bizpanda.lockers = function() {
        
        // shortcodes
        
        $(".onp-locker-call").each(function(){
            var $target = $(this);
            var lockId = $target.data('lock-id');

            var data = window.bizpanda.lockerOptions[lockId] 
                ? window.bizpanda.lockerOptions[lockId] 
                : $.parseJSON( $target.next().text() );
            
            window.bizpanda.createLocker( $target, data, lockId );
        });
        
        // css selectors from bulk locking
        
        if ( window.bizpanda.bulkCssSelectors ) {
            for(var index in window.bizpanda.bulkCssSelectors) {
                var selector = window.bizpanda.bulkCssSelectors[index]['selector'];
                var lockId = window.bizpanda.bulkCssSelectors[index]['lockId'];
                
                var limitCounter = 0;
                $(selector).each(function(){
                    
                    limitCounter++;
                    if ( limitCounter > 20 ) return false;
                    
                    var $target = $(this);
                    var data = window.bizpanda.lockerOptions[lockId];
                    window.bizpanda.createLocker( $target, data, lockId );
                });
            }
            window.bizpanda.bulkCssSelectors = [];
        } 
    };
    
    window.bizpanda.createLocker = function( $target, data, lockId ) {

        // helpers
        
        /**
         * Returns the current context data.
         */
        var getContextData = function() {
            
            var context = {};
            context.postId = data.postId;
            context.postTitle = document.getElementsByTagName("title")[0].innerHTML;
            context.postUrl = window.location.href;
            context.itemId = data.lockerId;
            return context;
        };
        
        /**
         * Pings the stats.
         */
        var pingStats = function( eventName, eventType ) {

            var statsItem = {
                eventName: eventName,
                eventType: eventType
            };

            var req = $.ajax({ url: data.ajaxUrl, type: 'POST', dataType: 'json', data: {
                    action: 'opanda_statistics',
                    opandaStats: statsItem,
                    opandaContext: getContextData()
                }
            });

            req.success(function( data ){
                
                if ( data && data.error ) {
                    console && console.log && console.log( data.error );
                    return;
                }
            }); 
            
            req.error(function( data ){
                if ( !console || !console.log ) return;
                console.log('Unexpected error occurred during the ajax request:');
                console.log( req.responseText );
            }); 
        };
        
        var options = data.options;
        options.id = lockId;
        
        // loading the locked content via ajax
        
        if ( data.ajax ) {
            
            options.content = {
                url: data.ajaxUrl, type: 'POST', data: {
                    lockerId: data.lockerId,
                    action: 'opanda_loader',
                    hash: data.contentHash
                }
            };
        }
        
        // tracking subscribers & subscriptions
        
        $.pandalocker.filters.add( lockId + '.ajax-data', function( dataToPass ){
            dataToPass.opandaContextData = getContextData();
            return dataToPass;
        });
        
        // tracking stats

        $.pandalocker.hooks.add( lockId + '.unlock', function( locker, sender, senderName ){
            if ( $.inArray( sender, ['button', 'timer', 'cross'] ) === -1 ) return;
            if ( 'button' === sender ) pingStats( senderName, 'unlock' );
            else pingStats( sender, 'skip' );
        });
        
        var hooksToTrack = [
            'impress',
            'error', 'social-app-declined', 
            'got-linkedin-follower', 
            'got-youtube-subscriber'
        ];
        
        $.each( hooksToTrack, function( index, value ){
            $.pandalocker.hooks.add( lockId + '.' + value, function(){
                pingStats( value );
            });       
        });

        // removes the called and creates the locker
        
        $target.removeClass("onp-locker-call");
        if ( !window.bizpanda.lockerOptions[lockId] ) $target.next().remove();

        $target.pandalocker( options );
    };    
    
    // adding support for dynamic themes
    
    var bindFunction = function(){
        $(document).ajaxComplete(function() {
            window.bizpanda.lockers();
        });
            
        if ( !window.bizpanda.dynamicThemeSupport ) return;

        if ( window.bizpanda.dynamicThemeEvent != '' ) {
            $(document).bind(window.bizpanda.dynamicThemeEvent, function(){
                window.bizpanda.lockers();
            });
        }
    };

    if ( window.bizpanda.dynamicThemeSupport ) {
        bindFunction();
    } else {
        $(function(){ bindFunction(); });
    }

})(jQuery);

/*!
 * Creater Script  
 * Copyright 2014, OnePress, http://byonepress.com
*/
(function($){ 
    $(function(){ window.bizpanda.lockers(); });
})(jQuery);